<?php
add_action( 'show_user_profile', 'caaf_show_extra_profile_fields' );
add_action( 'edit_user_profile', 'caaf_show_extra_profile_fields' );

function caaf_show_extra_profile_fields( $user ) { 
?>

<h3>Additional</h3>
<table class="form-table">
        <tr>
		<th><label for="Site Role">Site Role</label></th>
		<td>
                        <input name="site_role" type="text" id="site_role" value="<?php if (get_the_author_meta(caaf_Author::site_role, $user->ID)) {echo esc_attr( get_the_author_meta( caaf_Author::site_role, $user->ID ) );} else { echo 'Author';} ?>"/>
                        <p class="description">Role or Position at the site ("Author," "Editor," "Gadfly...")</p>
		</td>
        </tr>
        <tr>
            <th><label for="Long Biography">Extended Biography</label></th>
            <td>
<textarea id="long description" name="long_bio" cols="30" rows="5" ><?php echo esc_textarea( get_the_author_meta( caaf_Author::long_bio, $user->ID ) ); ?></textarea>
    
        <p class="description">If left empty, short biography will be used on author archive page.</p>
             </td>
    </tr>
</table>

<h3>Social Media</h3>
<table class="form-table">
    <tr>
		<th><label for="public_email">Public/Contact Email</label></th>
		<td>
			<input name="public_email" type="text" id="public_email" value="<?php echo esc_attr( get_the_author_meta( caaf_Author::public_email, $user->ID ) ); ?>"/>
		</td>
	</tr>
	<tr>
		<th><label for="twitter">Twitter</label></th>
		<td>
			<?php echo caaf_Config::twitter_url_prefix; ?>
			<input name="twitter" type="text" id="twitter" 
					value="<?php echo esc_attr( get_the_author_meta( caaf_Author::twitter, $user->ID ) ); ?>" />
		</td>
	</tr>
	<tr>
		<th><label for="facebook">Facebook</label></th>
		<td>
			<?php echo caaf_Config::facebook_url_prefix; ?>
			<input name="facebook" type="text" id="facebook" 
				value="<?php echo esc_attr( get_the_author_meta( caaf_Author::facebook, $user->ID ) ); ?>" />
		</td>
	</tr>
	<tr>
		<th><label for="google_plus">Google+</label></th>
		<td>
			<?php echo caaf_Config::google_plus_url_prefix; ?>
			<input name="google_plus" type="text" id="google_plus" 
				value="<?php echo esc_attr( get_the_author_meta( caaf_Author::google_plus, $user->ID ) ); ?>" />
		</td>
	</tr>
	<tr>
		<th><label for="linkedin">LinkedIn</label></th>
		<td>
			<?php echo caaf_Config::linkedin_url_prefix; ?>
			<input name="linkedin" type="text" id="linkedin" 
				value="<?php echo esc_attr( get_the_author_meta( caaf_Author::linkedin, $user->ID ) ); ?>" />
		</td>
	</tr>	
	<tr>
		<th><label for="flickr">Flickr</label></th>
		<td>
			<?php echo caaf_Config::flickr_url_prefix; ?>
			<input name="flickr" type="text" id="flickr" 
				value="<?php echo esc_attr( get_the_author_meta( caaf_Author::flickr, $user->ID ) ); ?>" />
		</td>
	</tr>	
                <tr>
		<th><label for="pinterest">Pinterest</label></th>
		<td>
			<?php echo caaf_Config::pinterest_url_prefix; ?>
			<input name="pinterest" type="text" id="pinterest" 
					value="<?php echo esc_attr( get_the_author_meta( caaf_Author::pinterest, $user->ID ) ); ?>" />
		</td>
	</tr>
        <tr>
		<th><label for="instagram">Instagram</label></th>
		<td>
			<?php echo caaf_Config::instagram_url_prefix; ?>
			<input name="instagram" type="text" id="instagram" 
					value="<?php echo esc_attr( get_the_author_meta( caaf_Author::instagram, $user->ID ) ); ?>" />
		</td>
	</tr>
        <tr>
		<th><label for="twitter">Github</label></th>
		<td>
			<?php echo caaf_Config::github_url_prefix; ?>
			<input name="github" type="text" id="github" 
					value="<?php echo esc_attr( get_the_author_meta( caaf_Author::github, $user->ID ) ); ?>" />
		</td>
	</tr>
        <tr>
		<th><label for="tumblr">Tumblr</label></th>
		<td>
			<?php echo caaf_Config::tumblr_url_prefix; ?>
			<input name="tumblr" type="text" id="tumblr" 
					value="<?php echo esc_attr( get_the_author_meta( caaf_Author::tumblr, $user->ID ) ); ?>" />
		</td>
	</tr>
	<tr>
		<th><label for="youtube">YouTube</label></th>
		<td>
			<?php echo caaf_Config::youtube_url_prefix; ?>
			<input name="youtube" type="text" id="youtube" 
				value="<?php echo esc_attr( get_the_author_meta( caaf_Author::youtube, $user->ID ) ); ?>" />
		</td>
	</tr>	
	<tr>
		<th><label for="vimeo">Vimeo</label></th>
		<td>
			<?php echo caaf_Config::vimeo_url_prefix; ?>
			<input name="vimeo" type="text" id="vimeo" 
				value="<?php echo esc_attr( get_the_author_meta( caaf_Author::vimeo, $user->ID ) ); ?>" />
		</td>
	</tr>	
	<tr>
		<th><label for="skype">Skype</label></th>
		<td>
			<?php echo caaf_Config::skype_url_prefix; ?>
			<input name="skype" type="text" id="skype" 
				value="<?php echo esc_attr( get_the_author_meta( caaf_Author::skype, $user->ID ) ); ?>" />?userinfo
		</td>
	</tr>	
	<tr>
		<th><label for="custom_1">Custom 1</label></th>
		<td>
        	Icon url:<input name="custom_icon_1" type="text" id="custom_icon_1" value="<?php echo esc_attr( get_the_author_meta( caaf_Author::custom_icon_1, $user->ID ) ); ?>" /> 
            Link url:<input name="custom_link_1" type="text" id="custom_link_1" value="<?php echo esc_attr( get_the_author_meta( caaf_Author::custom_link_1, $user->ID ) ); ?>" /></td>
	</tr>	
	<tr>
		<th><label for="custom_2">Custom 2</label></th>
		<td>
        	Icon url:<input name="custom_icon_2" type="text" id="custom_icon_2" value="<?php echo esc_attr( get_the_author_meta( caaf_Author::custom_icon_2, $user->ID ) ); ?>" /> 
            Link url:<input name="custom_link_2" type="text" id="custom_link_2" value="<?php echo esc_attr( get_the_author_meta( caaf_Author::custom_link_2, $user->ID ) ); ?>" /></td>
	</tr>	
	<tr>
		<th><label for="custom_3">Custom 3</label></th>
		<td>
        	Icon url:<input name="custom_icon_3" type="text" id="custom_icon_3" value="<?php echo esc_attr( get_the_author_meta( caaf_Author::custom_icon_3, $user->ID ) ); ?>" /> 
            Link url:<input name="custom_link_3" type="text" id="custom_link_3" value="<?php echo esc_attr( get_the_author_meta( caaf_Author::custom_link_3, $user->ID ) ); ?>" /></td>
	</tr>	
	<tr>
		<th><label for="disable_about_author">Disable about author display</label></th>
		<td>
			<input name="disable_about_author" type="checkbox" id="disable_about_author" 
			<?php if( get_the_author_meta( caaf_Author::disable_about_author, $user->ID ) ){ echo "checked";} ?>
				/>
			<span class="description">Check this box to not have author's profile displayed at bottom of each post.</span>
		</td>
	</tr>
</table>
<?php 
}

add_action( 'personal_options_update', 'caaf_save_extra_profile_fields' );
add_action( 'edit_user_profile_update', 'caaf_save_extra_profile_fields' );

function caaf_save_extra_profile_fields( $user_id ) {

	if ( !current_user_can( 'edit_user', $user_id ) )
	return false;

	/* Save social media information */
	update_user_meta( $user_id, caaf_Author::long_bio, $_POST["long_bio"] );
        update_user_meta( $user_id, caaf_Author::instagram, $_POST["instagram"] );
        update_user_meta( $user_id, caaf_Author::tumblr, $_POST["tumblr"] );
        update_user_meta( $user_id, caaf_Author::github, $_POST["github"] );
        update_user_meta( $user_id, caaf_Author::pinterest, $_POST["pinterest"] );
        update_user_meta( $user_id, caaf_Author::public_email, $_POST["public_email"] );
        update_user_meta( $user_id, caaf_Author::site_role, $_POST["site_role"] );
        update_user_meta( $user_id, caaf_Author::twitter, $_POST["twitter"] );
	update_user_meta( $user_id, caaf_Author::facebook, $_POST["facebook"] );
	update_user_meta( $user_id, caaf_Author::google_plus, $_POST["google_plus"] );
	update_user_meta( $user_id, caaf_Author::linkedin, $_POST["linkedin"] );
	update_user_meta( $user_id, caaf_Author::flickr, $_POST["flickr"] );
	update_user_meta( $user_id, caaf_Author::youtube, $_POST["youtube"] );
	update_user_meta( $user_id, caaf_Author::vimeo, $_POST["vimeo"] );
	update_user_meta( $user_id, caaf_Author::skype, $_POST["skype"] );
	update_user_meta( $user_id, caaf_Author::custom_icon_1, $_POST["custom_icon_1"] );
	update_user_meta( $user_id, caaf_Author::custom_link_1, $_POST["custom_link_1"] );
	update_user_meta( $user_id, caaf_Author::custom_icon_2, $_POST["custom_icon_2"] );
	update_user_meta( $user_id, caaf_Author::custom_link_2, $_POST["custom_link_2"] );
	update_user_meta( $user_id, caaf_Author::custom_icon_3, $_POST["custom_icon_3"] );
	update_user_meta( $user_id, caaf_Author::custom_link_3, $_POST["custom_link_3"] );
	
	$disable_about_author = "";
	if(isset($_POST["disable_about_author"])){
		$disable_about_author=$_POST["disable_about_author"];
	}
	update_user_meta( $user_id, caaf_Author::disable_about_author, $disable_about_author );
}