<?php

/**
 * @package: Extraordinary Comments
 * @Since: 0.91
 * @Date: October 2016
 * @Author: CK MacLeod
 * @Author: URI: http://ckmacleod.com
 * @License: GPL3
 */

defined( 'ABSPATH' ) or die( 'Plugin file cannot be accessed directly.' ) ;

$version = CKS_EXC_VERSION ;

?>
    
<div class="wrap cks_plugins">
    
    <h1>EXTRAORDINARY COMMENTS</h1>
    
<!--    <form method="post" action="options.php">     -->
     
     <?php 
     
    settings_fields('cks_exc');  
    
    do_settings_fields('cks_exc','');    
     
     ?>
        
    <div id="cks_plugins-main" >

    <?php cks_exc_usage_notes() ; ?>
        
    <?php cks_exc_css_form(); ?>      
    
    <?php cks_exc_css() ; ?>
           
    <?php cks_exc_shortcodes_and_functions() ; ?>
        
    <?php cks_exc_acknowledgements() ; ?>  

    </div> <!-- END cks_plugins_main -->

    <?php cks_exc_sidebar( $version ) ; ?>

    <?php cks_exc_plugins_footer( $version ) ; ?> 

</div><!-- END wrap cks_plugins -->

<?php 

/**ADD CUSTOM STYLES IF DESIRED
 * output to page head
 */
function cks_exc_css_form() {
    
    $option = get_option( 'cks_exc_style' ) ;
    
    $use_styles = get_option( 'cks_exc_use_plugin_styles' ) ;
    
    $check_message = $use_styles ? 
        __( 'Un-check to save or reset without applying the above styles.', 
                'cks_exc' ) : 
        __( 'Check before saving or resetting to apply the above styles.', 
                'cks_exc' ) ;
    ?>       
        
    <div id="cks_plugins-add-css" class="ck-usage-notes" >

    <h3>ADD CSS</h3>
    
    <p>
        <?php _e( 'Check the checkbox below, and save, to apply these styles, which add some additional formatting to shortcode/archive and widget lists, and also add a style for "buried" comments. ','cks_exc') ; ?>
    </p>
    
    <p>
        <b> <?php _e( 'The included styles have been written with a standard WordPress comments implementation in mind. The further your theme diverges from basic WordPress, the more you may need to adapt them. ','cks_exc') ; ?></b><?php _e( 'You can always reset to the original - or un-apply by un-checking the checkbox. ','cks_exc') ; ?>
    </p>

    <form name="cks_exc_stylesheet_options_form" method="post" action="admin-post.php">

    <input type="hidden" name="action" value="save_cks_exc_stylesheet_options" />
    
    <?php wp_nonce_field( 'cks_exc_stylesheet', 'stylesheet_nonce' ) ; ?>

    <textarea name="cks_exc_style" rows="20" 
              style="font-family:Consolas,Monaco,monospace;width:100%;"><?php 
              echo esc_html( stripslashes( $option ) ) ; ?></textarea>
    
    <p>
        <input type="checkbox" value="1" name="cks_exc_use_plugin_styles" <?php checked( $use_styles, 1 ) ; ?> ><label><?php echo $check_message ; ?></label>
    </p>

        <input type="submit" value="Save CSS" name="layout" class="button-primary" />
        <input type="submit" value="Reset Styles" name="resetstyle" onclick="return confirm( '<?php _e( 'Are you sure you want to reset Additional CSS to plug-in defaults?', 'cks_exc' ) ?>' )"class="button-secondary" />

    </form>

    </div>

<?php }

/**
 * ADDS VERSION INFO TO SIDEBAR
 * @param string $version
 */
function cks_exc_sidebar( $version ) {

    ?>

    <div id="cks_plugins-sidebar">

        <?php cks_exc_illustrations() ; ?>

        <div id="cks_plugins-version" class="sidebar-version">

            <p>Extraordinary Comments<br>Version <?php 
                echo $version ; 
            ?><br><i>by CK MacLeod</i></p>

        </div>
        
            <?php cks_exc_tip_jar() ; ?>

    </div>

<?php  

}

/**
* USAGE NOTES - INTRO
*/
function cks_exc_usage_notes() {

    ?>

    <div id="cks_exc-usage-notes" class="ck-usage-notes">

        <h3><?php _e( 'Usage Notes', 'cks_exc' ) ; ?></h3>
        
        <p><b><?php _e( 
             'This plugin will not affect display at your site '
            . 'until you have featured or buried a comment using '
            . 'the button/links that appear for logged-in editor-level users '
            . 'under each comment in a comment thread '
                . 'or in the Admin Comments menu. ', 'cks_exc' ) ; 
    ?></b></p>
        
        <div id="cks_exc-usage-ills">
            
            <img class="aligncenter" src="<?php echo plugin_dir_url( __FILE__ ) ; 
        ?>images/exc_in_thread.jpg" alt="<?php _e( 'Featuring Menus', 'cks_exc' ) ; 
        ?>">
            <img class="aligncenter" src="<?php echo plugin_dir_url( __FILE__ ) ; 
        ?>images/exc_comments_admin.jpg" alt="<?php _e( 'Featuring Menus', 'cks_exc' ) ; 
        ?>">
            
        </div>

        <p><b><?php _e( 
                'You can then adjust the way that featured or buried comments '
            . 'are displayed within threads, or within a Widget or Archive '
            . 'if you choose to add one or both.', 'cks_exc' ) ; 
    ?></b></p>
        <p>
            <?php _e( 'On this page, you can optionally add CSS styling for featured comments as they appear in regular comment threads, in the Extraordinary Comments Widget, or in Extraordinary Comments Archives. You will also find instructions for adding an Extraordinary Comments Archive, with a list of shortcode arguments. Similar options will be available in the Widget\'s settings.', 'cks_exc' ) ; ?>
        </p>
        
        
        <p><?php printf(__( 
            'At default settings the plug-in\'s output '
            . 'has been styled only minimally, '
            . 'so will take on your theme\'s styles as available. '
            . 'The provisional styles '
            . 'that you can add below may work well with your theme, but see '
            . 'further below for %sa list of all available CSS selectors%s, '
            . 'and visit the %sExtraordinary Comments home pages%s '
            . 'for more examples and for tips on using '
            . 'the plug-in\'s numerous hooks and filters.', 'cks_exc' ), 
                '<a href="#selectors">',
                '</a>',
                '<a href="http://ckmacleod.com/wordpress'
                . '-plugins/extraordinary-comments/">',
                '</a>' ) ; 
        ?></p>

    </div>

    <?php
        
}

/**
 * SHORTCODE USAGE NOTES
 */
function cks_exc_shortcodes_and_functions() {
    
    ?>

    <div class="ck-usage-notes">

        <h3><?php _e( 'Shortcode Reference', 'cks_exc') ; ?></h3>
        
        <p>
            <?php _e( 'To add an Extraordinary Comments Archive to a Page or Post, simply add the code <code>[add_exc_archive]</code>. Added to a Post or Page, it will create a list of all featured comments, without pagination, bottom-right link or unique table title. You can adjust the output using any of the following arguments: ', 'cks_exc' ) ; ?>
        </p>

        <h4>
            <?php _e( 'Optional Arguments: ', 'cks_exc' ) ; ?>
        </h4>
        
        <ul>
            <li><?php _e( '\'number_comments\': How many featured comments to display. The default is empty (\'\'), signifying "retrieve and display all."', 'cks_exc') ; ?></li>
            <li><?php _e( '\'type\': whether to show featured or buried comments; the default is "featured."', 'cks_exc') ; ?></li>
            <li><?php _e( '\'order\': Order in which to display the comments; the default is "DESC" for "descending" (reverse chronological). The other options is "ASC" for ascending.', 'cks_exc') ; ?></li>
            <li><?php _e( '\'lookback\': How far back to look for comments; the default is "\'January 1, 1970\'" - or "all." Accepts a standard readable date or expression (\'1 month ago\').', 'cks_exc') ; ?></li>
            <li><?php _e( '\'lookforward\': Up to which datetime to look for comments; the default is "\'January 1, 2038\'" - or "all." Accepts a standard readable date or expression (\'1 month ago\').', 'cks_exc') ; ?></li>
            <li><?php _e( '\'random\': Display retrieved comments in random order, changing on every page reload: "1" (true) or "0" (false). The default is "0" or "do not randomize. Note: Random display is disabled for paginated tables.', 'cks_exc') ; ?></li>
            <li><?php _e( '\'title\': Specific title or sub-title of the Widget or Archive: default is \'\' or no specific title.', 'cks_exc') ; ?></li>
            <li><?php _e( '\'pre_date\': Text to appear prior to datetime. Default is \'\' or empty.', 'cks_exc') ; ?></li>
            <li><?php printf( __( '\'datetime_format\': PHP datetime format for comment date -  or %sescaped string%s. Default is "\'l, F j, Y - g:i a\'."', 'cks_exc'), '<a href="http://php.net/manual/en/function.date.php/#example-2565" target="_blank" >','</a>' ) ; ?></li>
            <li><?php _e( '\'pre_irt\': Text string to precede "in-reply-to" link if present (i.e., for comments in "nested" or "threaded" format. Default is "\'To: \'".', 'cks_exc') ; ?></li>
            <li><?php _e( '\'pre_title\': Text string to precede Post title. Default is "\'Re: \'".', 'cks_exc') ; ?></li>
            <li><?php _e( '\'gravatar_size\': Size of gravatar: default is "60" - use \'none\' for no gravatar and "0" or empty ( \'\' ) for sitewide rather than plugin default.', 'cks_exc') ; ?></li>
            <li><?php _e( '\'add_link\': Whether to include a link to another page at the bottom of the list. Default is "0," meaning no link. "1" will add the link automatically, if the following two arguments (link_label and link_url) are also both provided:', 'cks_exc') ; ?></li>   
            <li><?php _e( '\'link_label\': What to display if add_link=1. Default is "\'View All &rarr;\'."', 'cks_exc') ; ?></li> 
            <li><?php _e( '\'link_url\': URL for the link. Default is "http://[your_site]/extraordinary-comments/."', 'cks_exc') ; ?></li>
            <li><?php _e( '\'paginate\': Works on Pages only: Whether to paginate the list. Default is "paginate=0" or "Do Not Paginate the List!"', 'cks_exc') ; ?></li>
            <li><?php _e( '\'comments_per_page\': Applies to paginated Pages only: How many comments to show per page of a paginated archive. Default is "comments_per_page=5."', 'cks_exc') ; ?></li>
            <li><?php _e( '\'use_excerpt\': Whether to use an excerpt instead of full comment text. Default is "use_excerpt=0" (in other words: use full text, not excerpt)."', 'cks_exc') ; ?></li>
            <li><?php _e( '\'excerpt_length\': Length of excerpt in words. Default "25."', 'cks_exc') ; ?></li>
            <li><?php _e( '\'continued_label\': Text string for link at end of excerpt to full comment. Default is "\'[...]\'."', 'cks_exc') ; ?></li>
            <li><?php _e( '\'show_credit\': Show a small, discreet link to CK\'s plugins home page - a nice way to credit and thank the developer. Default is "show_credit=0" or do not show.', 'cks_exc') ; ?></li>
        </ul>

        <h4>
            <?php _e( 'Shortcode Examples:', 'cks_exc') ; ?>
        </h4>

        <p>
            <code><?php _e( 
                '[add_exc_archive type=buried number_comments=3 random=1 lookback="1 year ago" title="Comments Buried by the Editors, a Hall of Shame" add_link=1 link_label="View the Whole List" link_url="http://example.com/hall-of-shame/" ]', 'cks_exc') ; 
            ?></code>
        </p>
        <p>
            <?php _e( 'Added to a Page, the above code will create an archive of three buried comments, randomly selected from comments buried over the course of the last year, under the title "Comments Buried by the Editors, a Hall of Shame," without pagination, and with a link to another page at the bottom. Note that strings with spaces (like the title) longer than one word need to be enclosed in quotes. Otherwise, quotes are optional.', 'cks_exc') ; ?>
        </p>
        <p>
            <code><?php _e( 
                '[add_exc_archive comments_per_page=5 title="Fabulous Comments" use_excerpt=1 excerpt_length=30 continued_label="...Read the Whole Fabulous Comment! &rarr; &rarr;" paginate=1]', 'cks_exc') ; 
            ?></code>
        </p>
        <p>
            <?php _e( 'Added to a Page, the above code will create a paginated archive of all featured comments, shown in up to 30-word excerpts, with a continuation link that reads "Read the Whole Fabulous Comment &rarr; &rarr;," 5 per page, under the title "Fabulous Comments". Note that strings with spaces (like the title) longer than one word need to be enclosed in quotes. Otherwise, quotes are optional.', 'cks_exc') ; ?>
        </p>
        
    </div>    

        <?php
        
}

/**
 * CSS USAGE NOTES
 */
function cks_exc_css() {
    
    ?>
    <div id="selectors" class="ck-usage-notes" style="overflow:auto;display:block;">
        
        <h3><?php _e( 'CSS Selectors', 'cks_exc' ) ; ?></h3>
        
        
        <div id="css-defaults">
            
            <h4>
            <?php _e( 'Default styles:', 'cks_exc' ) ; ?>
        </h4>
            
            <?php
            
            $default_stylesheet = file_get_contents( plugins_url( 'css/exc-style.css',__FILE__) ) ;
            $default_stylesheet = str_replace( ' * ', '<br> * ', $default_stylesheet) ; 
            $default_stylesheet = str_replace( '/*', '<br>/*', $default_stylesheet) ;            
            $default_stylesheet = str_replace( '*/', '*/<br>', $default_stylesheet) ;
            $default_stylesheet = str_replace( ';', ';<br>', $default_stylesheet) ;
            $default_stylesheet = str_replace( '}', '</span>}<br>', $default_stylesheet) ;
            $default_stylesheet = str_replace( '{', '{<br><span class="ck-css-block">', $default_stylesheet) ;
            $default_stylesheet = str_replace( ',', ',<br>', $default_stylesheet) ;
            
            echo ( $default_stylesheet) ;
            
            ?>
         
        </div>
        <div id="css-selectors">
        
        <h4 >
            <?php _e( 'Extraordinary Commments Selectors:', 'cks_exc' ) ; ?>
        </h4>
        
        <p><?php _e( 'Some common comment formatting selectors are also used in Extraordinary Comments. Many will be added automatically by WordPress Core, Theme, and Plug-Ins. If the results of your modifications are not as expected, one likely explanation is that the styles are being overridden by targeted theme, plug-in, or other styles.', 'cks_exc') ; ?></p>

        <table id="cks_exc-css-table" class="form-table">
            <thead>
                <th>Selector(s)</th>
                <th>Purpose</th>
                <th>Note</th>
            </thead>
            <tr>
                <td>
                    #cks_exc-archive-[POST ID#]
                </td>
                <td>
                    for an entire specific featured comment archive
                </td>
                <td>
                    Gets "POST ID#" automatically
                </td>
            </tr>
            <tr>
                <td>
                    #cks_exc-widget-[WIDGET ID#]
                </td>
                <td>
                    for an entire specific featured comment widget
                </td>
                <td>
                    Gets "WIDGET ID#" automatically
                </td>
            </tr>
            <tr>
                <td>
                    .cks_exc, .cks_exc-archive, .cks_exc-widget
                </td>
                <td>
                    for archives and widgets, for archives in general, for widgets in general
                </td>
                <td>
                    
                </td>
            </tr>
            <tr>
              
                    <th colspan="3">Element Styles:</th>
              
            </tr>
            <tr>
                <td colspan="3">
                    .cks_exc-title, .cks_exc-title-archive<br>
                    .cks_exc-comments, .cks_exc-comments-archive, 
                    .cks_exc-comments-widget<br>
                    .cks_exc-comment, .cks_exc-comment-archive, 
                    .cks_exc-comment-widget<br>
                    .cks_exc-widget-descr,.cks_exc-comment-header, 
                    .cks_exc-comment-header-archive, 
                    .cks_exc-comment-header-widget,<br>
                    .cks_exc-pre-date, .cks_exc-comment-datetime, 
                    .cks_exc-pre-irt, .cks_exc-comment-irt, .cks_exc-pre-title, 
                    .cks_exc-post-title, .cks_exc-comment-author,
                    .cks_exc-comment-author-name, .cks_exc-comment-body<br>
                    .cks_exc-footer, .cks_exc-footer-archive, 
                    .cks_exc-footer-widget<br>
                    .cks_exc-linkback, .cks_exc-linkback-archive, 
                    .cks_exc-linkback-widget<br>
                    .cks-plugins-credit
                </td>
            </tr>
        </table>
        </div>
    </div>


<?php

}

/**
* USAGE NOTES - INTRO
*/
function cks_exc_acknowledgements() {

    ?>

    <div id="cks_exc-credit-notes" class="ck-usage-notes">

        <h3><?php _e( 'Acknowledgements', 'cks_exc' ) ; ?></h3>
        
        <p><?php printf( __( 
             'This plugin was built out from the framework established in %s"Featured Comments" by Pippin Williamson and Utkarsh Kukreti%s. Any errors, bugs, unclarities, inefficiences, or unexpected results are solely my responsibility.', 'cks_exc' ), '<a href="https://wordpress.org/plugins/feature-comments/">','</a>' ) ; 
        ?></p>
        
        <p><?php printf( __( 
             '"Blue Ribbon" graphic %sby tonygines/IFREEPIC%s.', 'cks_exc' ), '<a href="http://www.ifreepic.com/blue_ribbon_decoration_free_vector-18082.html">','</a>' ) ; 
        ?></p>
        
        <p style="text-align: right">CK MacLeod</p>

    </div>

    <?php
        
}

/**
 * CK'S DONATION FORM
 * Outputs Paypal "Tip Jar"
 */
function cks_exc_tip_jar() {
    
    ?> 
    
    <div class="ck-donation">
                
        <p><?php _e( 'If you think this plug-in saved you time, or work, '
                . 'or anxiety,<br>or money, or anyway<br>'
                . 'you\'d like to see more work like this...', 'cks_exc' ) ; 
        ?></p>

        <div id="sos-button">

            <form id="sos-form" action="https://www.paypal.com/cgi-bin/webscr" 
                  method="post" target="_top">
                
                <input name="cmd" type="hidden" value="_xclick" />
                <input name="business" type="hidden" 
                       value="ckm@ckmacleod.com" />
                <input name="lc" type="hidden" value="US" />
                <input name="item_name" type="hidden" value="Tip CK!" />
                <input name="item_number" type="hidden" 
                       value="WP Replace Images" />
                <input name="button_subtype" type="hidden" value="services" />
                <input name="no_note" type="hidden" value="0" />
                <input name="cn" type="hidden" 
                       value="Add special instructions or message:" />
                <input name="no_shipping" type="hidden" value="1" />
                <input name="currency_code" type="hidden" value="USD" />
                <input name="weight_unit" type="hidden" value="lbs" />

                <div id="ck-donate-submit-line">
                    
                    <input id="sos-amount" 
                           title="Confirm or not when you get there..." 
                           name="amount" type="text" value="" 
                           placeholder="$xx.xx" />
                    <input id="sos-submit" title="Any amount is very cool..." 
                           alt="Go to Paypal to complete" 
                           name="submit" type="submit" value="<?php _e( 
                                   '...tip me!', 'cks_exc' ) 
                                   ?>" />
                </div>

            </form>

        </div>

    </div>
    
    <?php
}

/**
 * SIDEBAR ILLUSTRATIONS
 * captions and images change 
 * depending on display mode of image replacements
 * @param array $options
 */
function cks_exc_illustrations() {
    
    ?>
    
    <div class="ck-illustrations">
        
        <img src="<?php echo plugin_dir_url( __FILE__ ) ; 
        ?>images/screenshot-5.jpg" alt="<?php _e( 'Featured Comment in Thread', 'cks_exc' ) ; 
        ?>" >

        <p class="cks_plugins_admin-caption"><?php _e( 'Featured Comment in Thread (CSS Added)', 'cks_exc' ) ; 
        ?></p>

        <img src="<?php echo plugin_dir_url( __FILE__ ) ; 
        ?>images/screenshot-3.jpg" alt="<?php _e( 'Default Archive/Widget', 'cks_exc') ; 
        ?>" > 

        <p class="cks_plugins_admin-caption"><?php _e( 'Default Archive and Widget, 2016 Theme', 'cks_exc' ) ; 
        ?></p>  

        <img src="<?php echo plugin_dir_url( __FILE__ ) ; 
        ?>images/screenshot-4.jpg" alt="<?php _e( 'Default+ Archive and Widget', 'cks_exc' ) ; 
        ?>" >

        <p class="cks_plugins_admin-caption"><?php _e( 'Default-Plus Archive and Widget', 'cks_exc' ) ; 
        ?></p>
        
        <img src="<?php echo plugin_dir_url( __FILE__ ) ; 
        ?>images/exc_customized.jpg" alt="<?php _e( 'Customized Archive and Widget', 'cks_exc' ) ; 
        ?>" >

        <p class="cks_plugins_admin-caption"><?php _e( 'Customized Archive and Widget', 'cks_exc' ) ; 
        ?></p>

    </div>
    
    <?php
    
}

/**
 * CK'S PLUGINS FOOTER
 * @param string $version
 */
function cks_exc_plugins_footer( $version ) {
    
    $plugin_home_page = 'http://ckmacleod.com/wordpress-plugins/'
            . 'extraordinary-comments/'; 
    
    ?>
    
    <div id="cks_plugins_admin-footer">

        <a target="_blank" id="link-to-cks-plugins" 
           href="http://ckmacleod.com/wordpress-plugins/"><img src="<?php 
           echo plugin_dir_url( __FILE__ ) ; 
           ?>images/cks_wp_plugins_200x40.jpg"></a>
        
        <a target="_blank" id="link-to-cks-plugins-text" 
           href="http://ckmacleod.com/wordpress-plugins/">All CK's Plug-Ins</a>
        
        <a target="_blank" id="ck-home" href="<?php 
        echo $plugin_home_page ; 
        ?>">Plug-In Home Page</a>
        
        <a target="_blank" id="ck-faq" href="<?php 
        echo $plugin_home_page ; 
        ?>advanced-usage/">Advanced<br>Usage</a>
        
        <a target="_blank" id="ck-style" href="<?php 
        echo $plugin_home_page ; 
        ?>download/">Changelog</a>
        
        <a target="_blank" id="ck-help" href="<?php 
        echo $plugin_home_page ; 
        ?>support/">Feedback and Requests:<br>Contact CK</a>
        
        <a id="ck-support" class="<?php 
        echo ($version < 1 ) ? 'pre-wp-beta' : 'wordpress-link' ; ?>" 
           href="<?php echo 
           ($version < 1) ? '#" title="Beta: Not Yet at Wordpress.org"' : 
           'http://wordpress.org/support/plugin/extraordinary-comments/" '
                   . 'target="_blank"' 
                   ?>">Support at Wordpress</a>
        
        <a id="ck-rate" class="last-link<?php echo ($version < 1 ) ? 
        ' pre-wp-beta' : ' wordpress-link' ; ?>" href="<?php echo 
        ($version < 1) ? '#" title="Beta: Not Yet at Wordpress.org"' : 
                'http://wordpress.org/support/view/plugin-reviews/extraordinary-'
                . 'comments/" target="_blank"' ; 
        ?>" >&#9733; &#9733; &#9733; &#9733; &#9733;<br>Rate This Plugin!</a> 

    </div>
    
    <?php
    
}

  
