<?php

/* 
 * SETTINGS PAGES AND ADMIN FUNCTIONS
 * LINK-POSTS AGGREGATOR
 * Author: CK MacLeod
 * Version: 0.995
 * Date: September 2016
 */
 
defined( 'ABSPATH' ) or die( 'Plugin file cannot be accessed directly.' ) ;

/** 
 * ACTIVATE, CREATE MENUS AND OPTION PAGE
 **/

add_action( 'admin_menu', 'cks_lpa_add_admin_menu' ) ;
add_action( 'admin_init', 'cks_lpa_settings_init' ) ;
add_action( 'admin_init', 'cks_lpa_required_setting' ) ;
add_action( 'admin_init', 'save_cks_lpa_stylesheet_options' ) ;
add_action( 'admin_init', 'cks_lpa_check_reset' ) ;

/**
 * Create Admin Menu
 */
function cks_lpa_add_admin_menu() { 
    
        $admin_menu_page = add_menu_page('Aggregator', 'Aggregator', 'manage_options', 'cks_lpa', 'cks_lpa_options_page', plugins_url('images/aggregator.png',__FILE__) );
        
        $submenu_page = add_submenu_page( 'cks_lpa', 'Getting Started', 'Getting Started', 'manage_options', 'cks_lpa&tab=getting_started', 'cks_lpa' ) ;
        
        $submenu_page_2 = add_submenu_page( 'cks_lpa', 'Main Settings', 'Main Settings', 'manage_options', 'cks_lpa&tab=main_settings', 'cks_lpa' ) ;
        
        $submenu_page_3 = add_submenu_page( 'cks_lpa', 'Installation Options', 'Installation Options', 'manage_options', 'cks_lpa&tab=installation_options', 'cks_lpa' ) ;
        
        $submenu_page_4 = add_submenu_page( 'cks_lpa', 'Custom Styling', 'Custom Styling', 'manage_options', 'cks_lpa&tab=custom_styling', 'cks_lpa' ) ;
        
        remove_submenu_page('cks_lpa','cks_lpa') ;

	#$menu_page = add_options_page( 'Link-Posts', 'Link-Posts', 'manage_options', 'cks_lpa', 'cks_lpa_options_page' ) ;
	
	add_action( 'admin_init', 'cks_lpa_register_settings' ) ;
        
}

/**
 * Register Settings
 */
function cks_lpa_register_settings() {
    
	register_setting( 'cks_lpa', 'cks_lpa_settings', 'cks_lpa_sanitize_options' ) ;
        
}

/**
 * MAIN SETTINGS
 */
function cks_lpa_settings_init() { 
    
    $options = get_option( 'cks_lpa_settings' ) ;
    
    /* REQUIRED SETTING AT TOP */
    	add_settings_section(
            'cks_lpa_required_section', 
            __( 'REQUIRED'
                     , 'cks_lpa' ), 
            'cks_lpa_required_section_callback', 
            'cks_lpa'
	) ;
        
        add_settings_field( 
            'cks_lpa_cat_name', 
            __( 'Name of Aggregation Category', 'cks_lpa' ), 
            'cks_lpa_cat_name', 
            'cks_lpa', 
            'cks_lpa_required_section', $options
	) ;
        
        add_settings_field( 
            'cks_lpa_no_lp_cat', 
            __( 'Set NO Aggregation Category', 'cks_lpa' ), 
            'cks_lpa_no_lp_cat', 
            'cks_lpa', 
            'cks_lpa_required_section', $options
	) ;

    /* TABLE ELEMENTS GENERAL HEADING */
	add_settings_section(
            'cks_lpa_settings_section', 
            __( 'LINK-POSTS TABLE ELEMENTS'
                     , 'cks_lpa' ), 
            'cks_lpa_settings_section_callback', 
            'cks_lpa'
	) ;
    
    /* HEADER SECTION */
        
        add_settings_section(
            'cks_lpa_header_section', 
            __( 'Table Headings'
                     , 'cks_lpa' ), 
            'cks_lpa_header_section_callback', 
            'cks_lpa'
	) ;

	add_settings_field( 
            'cks_lpa_table_title', 
            __( 'Title for Link-Posts table', 'cks_lpa' ), 
            'cks_lpa_table_title', 
            'cks_lpa', 
            'cks_lpa_header_section', $options 
	) ;
        
        add_settings_field( 
            'cks_lpa_hide_table_title', 
            __( 'Hide Table Title?', 'cks_lpa' ), 
            'cks_lpa_hide_table_title', 
            'cks_lpa', 
            'cks_lpa_header_section', $options 
	) ;
        
        add_settings_field( 
            'cks_lpa_day_group', 
            __( 'Group Posts by Day of Week?', 'cks_lpa' ), 
            'cks_lpa_day_group', 
            'cks_lpa', 
            'cks_lpa_header_section', $options 
	) ;
        
        add_settings_field( 
            'cks_lpa_day_group_format', 
            __( 'Format Day Headings', 'cks_lpa' ), 
            'cks_lpa_day_group_format', 
            'cks_lpa', 
            'cks_lpa_header_section', $options 
	) ;
        
        add_settings_field( 
            'cks_lpa_week_group', 
            __( 'Group Posts by Week?', 'cks_lpa' ), 
            'cks_lpa_week_group', 
            'cks_lpa', 
            'cks_lpa_header_section', $options 
	) ;
        
        add_settings_field( 
            'cks_lpa_week_group_format', 
            __( 'Format Week Date', 'cks_lpa' ), 
            'cks_lpa_week_group_format', 
            'cks_lpa', 
            'cks_lpa_header_section', $options 
	) ;
        
       add_settings_field( 
            'cks_lpa_week_title', 
            __( 'Format Week Title', 'cks_lpa' ), 
            'cks_lpa_week_title',
            'cks_lpa',
            'cks_lpa_header_section', $options 
	) ;
        
        add_settings_field( 
            'cks_lpa_month_group', 
            __( 'Group Posts by Month?', 'cks_lpa' ), 
            'cks_lpa_month_group', 
            'cks_lpa', 
            'cks_lpa_header_section', $options 
	) ;
        
        add_settings_field( 
            'cks_lpa_month_group_format', 
            __( 'Format Month Headings', 'cks_lpa' ), 
            'cks_lpa_month_group_format', 
            'cks_lpa', 
            'cks_lpa_header_section', $options 
	) ;
        
        add_settings_field( 
            'cks_lpa_year_group', 
            __( 'Group Posts by Year?', 'cks_lpa' ), 
            'cks_lpa_year_group', 
            'cks_lpa', 
            'cks_lpa_header_section', $options 
	) ;
        
        add_settings_field( 
            'cks_lpa_year_group_format', 
            __( 'Format Year Headings', 'cks_lpa' ), 
            'cks_lpa_year_group_format', 
            'cks_lpa', 
            'cks_lpa_header_section', $options 
	) ;  
        
    /* LINK POST ITEMS SECTION */
        
        add_settings_section(
            'cks_lpa_cks_lpa_section', 
            __( 'Link-Posts'
                     , 'cks_lpa' ), 
            'cks_lpa_cks_lpa_section_callback', 
            'cks_lpa'
	) ;
        
        add_settings_field( 
            'cks_lpa_number_posts', 
            __( 'Number of Link-Posts to Show', 'cks_lpa' ), 
            'cks_lpa_number_posts', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
		
	add_settings_field( 
            'cks_lpa_order', 
            __( 'Order in which to Display Link-Posts', 'cks_lpa' ), 
            'cks_lpa_order', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_orderby', 
            __( 'Posts in order acccording to...', 'cks_lpa' ), 
            'cks_lpa_orderby', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_exclude_cats', 
            __( 'Exclude Link-Posts in This/These Categories', 'cks_lpa' ), 
            'cks_lpa_exclude_cats', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
                
        add_settings_field( 
            'cks_lpa_include_cats', 
            __( 'Include Link-Posts ONLY in This/These Additional Categories', 'cks_lpa' ), 
            'cks_lpa_include_cats', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_exclude_from_list', 
            __( 'Don\'t Show Above Category(ies) in Category List', 'cks_lpa' ), 
            'cks_lpa_exclude_from_list', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_alt_plus', 
            __( 'Custom "Open" Symbol:', 'cks_lpa' ), 
            'cks_lpa_alt_plus', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_alt_minus', 
            __( 'Custom "Close" Symbol:', 'cks_lpa' ), 
            'cks_lpa_alt_minus', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_use_thumbnail', 
            __( 'Display Image Thumbnail', 'cks_lpa' ), 
            'cks_lpa_use_thumbnail', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_no_source_link', 
            __( 'Title Link to Local Post instead of Source?', 'cks_lpa' ), 
            'cks_lpa_no_source_link', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
        
        add_settings_field(
                'cks_lpa_hide_comments', 
            __( 'Hide Comments Link?', 'cks_lpa' ), 
            'cks_lpa_hide_comments', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options        
        );
        
        add_settings_field( 
            'cks_lpa_date_post', 
            __( 'Show Link-Post Date-Times?', 'cks_lpa' ), 
            'cks_lpa_date_post', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_date_post_format', 
            __( 'Format for Link-Post Date-Times', 'cks_lpa' ), 
            'cks_lpa_date_post_format', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_hide_post_cats', 
            __( 'Hide Link-Post Categories?', 'cks_lpa' ), 
            'cks_lpa_hide_post_cats', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_hide_post_tags', 
            __( 'Hide Link-Post Tags?', 'cks_lpa' ), 
            'cks_lpa_hide_post_tags', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_no_quote', 
            __( '<span id="keep-closed">Keep Link-Posts "Closed"</span>', 'cks_lpa' ), 
            'cks_lpa_no_quote', 
            'cks_lpa', 
            'cks_lpa_cks_lpa_section', $options  
	) ;
        
    /* LINK - POST CONTENT SECTION */
        
        add_settings_section(
            'cks_lpa_linkpost_content', 
            __( 'Link-Post Content'
                     , 'cks_lpa' ),
            'cks_lpa_linkpost_content_callback', 
            'cks_lpa'
	) ;
        
        add_settings_field( 
            'cks_lpa_use_excerpt', 
            __( 'Use "Manual" Excerpt IF PRESENT?', 'cks_lpa' ), 
            'cks_lpa_use_excerpt', 
            'cks_lpa', 
            'cks_lpa_linkpost_content', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_more_text', 
            __( 'Text for Excerpt "More" Link', 'cks_lpa' ), 
            'cks_lpa_more_text', 
            'cks_lpa', 
            'cks_lpa_linkpost_content', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_use_wp_excerpt', 
            __( 'Always Use WordPress Excerpt', 'cks_lpa' ), 
            'cks_lpa_use_wp_excerpt', 
            'cks_lpa', 
            'cks_lpa_linkpost_content', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_go_to_comments', 
            __( 'Go to Comments Link Text', 'cks_lpa' ), 
            'cks_lpa_go_to_comments', 
            'cks_lpa', 
            'cks_lpa_linkpost_content', $options  
	) ;
        
        
        
        
    /* FOOTER SECTION */
        
        add_settings_section(
            'cks_lpa_footer_section', 
            __( 'Table Footer'
                     , 'cks_lpa' ), 
            'cks_lpa_footer_section_callback', 
            'cks_lpa'
	) ;
        
        add_settings_field( 
            'cks_lpa_show_right', 
            __( 'Show Primary Link in Footer (BOTTOM RIGHT)?', 'cks_lpa' ), 
            'cks_lpa_show_right', 
            'cks_lpa', 
            'cks_lpa_footer_section', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_cat_title', 
            __( 'Text for Primary Link (Bottom Right)', 'cks_lpa' ), 
            'cks_lpa_cat_title', 
            'cks_lpa', 
            'cks_lpa_footer_section', $options  
	) ;
	
        add_settings_field(
            'cks_lpa_right_url', 
            __( 'Use This URL instead of Link-Posts Category URL?', 'cks_lpa' ), 
            'cks_lpa_right_url', 
            'cks_lpa', 
            'cks_lpa_footer_section', $options                    
        ) ;
        
        add_settings_field( 
            'cks_lpa_show_left', 
            __( 'Show Second (Bottom LEFT) Link?', 'cks_lpa' ), 
            'cks_lpa_show_left', 
            'cks_lpa', 
            'cks_lpa_footer_section', $options  
	) ;
        
        add_settings_field( 
            'cks_lpa_left_title', 
            __( 'Text of Secondary Link (BOTTOM LEFT)', 'cks_lpa' ), 
            'cks_lpa_left_title', 
            'cks_lpa', 
            'cks_lpa_footer_section', $options  
	) ;
        
        add_settings_field(
            'cks_lpa_left_url', 
            __( 'Left URL', 'cks_lpa' ), 
            'cks_lpa_left_url', 
            'cks_lpa', 
            'cks_lpa_footer_section', $options                    
        ) ;
        
        add_settings_field(
            'cks_lpa_show_credit', 
            __( 'Show a handsome and discreet credit link to CK\'s Plugins?', 'cks_lpa' ), 
            'cks_lpa_show_credit', 
            'cks_lpa', 
            'cks_lpa_footer_section', $options                    
        ) ;
        
    /* QUERY SECTION */    
        
        add_settings_section(
            'cks_lpa_query_section', 
            __( 'SHOW OR CONCEAL LINK-POSTS IN OR FROM QUERY LOOPS'
                     , 'cks_lpa' ),
            'cks_lpa_query_section_callback', 
            'cks_lpa'
	) ;
        
             
        add_settings_field(
            'cks_lpa_show_main', 
            __( 'Show Individual Link-Posts in Main Query', 'cks_lpa' ), 
            'cks_lpa_show_main', 
            'cks_lpa', 
            'cks_lpa_query_section', $options  
	) ;
        
        add_settings_field(
            'cks_lpa_show_author', 
            __( 'Show Individual Link-Posts in Author Pages', 'cks_lpa' ), 
            'cks_lpa_show_author', 
            'cks_lpa', 
            'cks_lpa_query_section', $options  
	) ;
        
        add_settings_field(
            'cks_lpa_conceal_from', 
            __( 'Conceal Link-Posts When Showing...', 'cks_lpa' ), 
            'cks_lpa_conceal_from', 
            'cks_lpa', 
            'cks_lpa_query_section', $options  
	) ;       
             
}

/*
 * CALLBACKS
 */

function cks_lpa_required_section_callback() {
    
    echo '<p>' ;
    
    _e( '<b>If you have not already done so, you must create or designate an Aggregation - aka "Link-Posts" - category, and add some posts to it, for a table to appear and to function.</b> You can use the "Link-Posts" default name, or any new or already-existing category name.', 'cks_lpa' ) ;
    
    echo '</p><p>' ;
    
    _e( 'The Link-Posts category will be like any other WordPress Category on the site except that 1) posts that are in the Link-Posts category can appear in the Link-Posts table, and 2), by default, posts in the Link-Posts category are otherwise hidden from your site\'s main page or "query", as well as from author pages. In addition, the Link-Post category is also excluded from the list of categories that can be set to appear within the Link-Posts table, and posts in the Link-Posts category can be set to be concealed from other pages or archives.','cks_lpa') ;
    
    echo '</p>' ;
    
}

function cks_lpa_settings_section_callback() { 
    
    _e( 'Change site-wide defaults here. All elements can be overriden in shortcode and widgets. (<b>New</b> widgets will use these settings, but old ones will keep the ones you\'ve saved in their own settings.)', 'cks_lpa' ) ;
    
    echo '<span id="table-headings-head">&nbsp;</span>' ;
    
}

function cks_lpa_header_section_callback() { 
    
    _e( 'Change site-wide defaults for the table\'s title and optional date headings.', 'cks_lpa' ) ;

}

function cks_lpa_cks_lpa_section_callback() { 

    _e( 'Change site-wide defaults for display and configuration of Link-Posts in the table.', 'cks_lpa' ) ;

}

function cks_lpa_linkpost_content_callback() {
    
    _e( 'Change site-wide defaults for display of Link-Post content.', 'cks_lpa' ) ;
    
}

function cks_lpa_footer_section_callback() { 
    
    _e( 'Change site-wide defaults for the display or for targets of links at the bottom of the table.', 'cks_lpa' ) ;
    
}

function cks_lpa_query_section_callback() {
    
    _e( 'Determine whether Link-Posts will will display within main blog and other archive "loops," and be concealed from certain category archives. The default setting is: "Conceal Link-Posts from main loop and from author pages."', 'cks_lpa' ) ;
    
}

function cks_lpa_reset_callback() {
    
    _e( 'To restore all initial main settings, <b>permanently</b> removing any changes. This does NOT affect any CSS you may have added under custom styling. You can reset those changes separately.', 'cks_lpa' ) ;
    
}
        
/**
 * SETTINGS FUNCTIONS 
 * @param array $options
 */        
function cks_lpa_cat_name( $options ) { 
    
    $no_lp_cat = isset( $options['no_lp_cat'] ) ? $options['no_lp_cat'] : '' ;
    ?>
    <input type='text' name='cks_lpa_settings[cat_name]' value='<?php echo esc_html( $options['cat_name'] ) ; ?>'  <?php echo $no_lp_cat ? 'readonly' : '' ; ?> >
    <span class="description"><?php _e( 'Category name (Default: <code>Link-Posts</code>) or comma-separated list (<code>Science-Links,History-Links,Politics-Links</code>).' , 'cks_lpa' ) ; ?></span> 

    <?php
}

function cks_lpa_no_lp_cat( $options ) { 

    if ( ! isset( $options['no_lp_cat'] ) ) { $options['no_lp_cat'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[no_lp_cat]' <?php checked( $options['no_lp_cat'], 1 ) ; ?> value='1'>
    <span class="description"><?php printf( __( '<b>FOR ADVANCED USERS</b>: Sets ALL posts to be treated as "Link-Posts." Posts that themselves contain the Link-Post shortcode "tag" - <code>[add_lt]</code> - will be set to "Keep Closed/Show Heading Only." (More at <a %s>CSS Styling</a> in the Plug-In Documentation.)' , 'cks_lpa' ), 'href="http://ckmacleod.com/wordpress-plugins/linkposts/linkposts-css/"' ) ; ?></span>
    
    <?php
    
    submit_button( __( 'Save All Changes', 'cks_lpa'), 'primary middle', 'submit', false  ) ;
    
}

function cks_lpa_table_title( $options ) { 

    ?>

    <input type='text' name='cks_lpa_settings[table_title]' value='<?php echo esc_attr( $options['table_title'] ) ; ?>'>
    <span class="description"><?php _e( 'The default title of Link-Posts tables.' , 'cks_lpa' ) ; ?></span>

    <?php
}

function cks_lpa_hide_table_title( $options ) { 

    if (!isset( $options['hide_table_title'] ) ) { $options['hide_table_title'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[hide_table_title]' <?php checked( $options['hide_table_title'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you do NOT want the title of the Link-Posts table to display. ' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_number_posts( $options ) { 

    ?>
    <input type='number' name='cks_lpa_settings[number_posts]' value='<?php echo esc_attr( $options['number_posts'] ) ; ?>'> 
    
    <?php
}

function cks_lpa_order( $options ) {
    
    ?>
    <input type='text' name='cks_lpa_settings[order]' value='<?php echo esc_attr( $options['order'] ) ; ?>'>
    <span class="description"><?php _e( '<code>ASC</code> (for ascending or chronological order) or <code>DESC</code> (typical blog/reverse-chronological order) will be the only two choices for the vast majority of users.' , 'cks_lpa') ; ?></span>
    
    <?php
}

function cks_lpa_orderby( $options ) {
    
    ?>
    <input type='text' name='cks_lpa_settings[orderby]' value='<?php echo esc_attr( $options['orderby'] ) ; ?>'>		
    <span class="description"><?php printf( __( 'Any terms suitable for a <a href="%s">WP Query</a>. Default is <code>date</code>," for "date of publication."' , 'cks_lpa'), 'https://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters' ) ; ?></span>
    
    <?php    
}

function cks_lpa_exclude_cats( $options ) {
    
    ?>
    <textarea name='cks_lpa_settings[exclude_cat]'> <?php echo esc_attr( $options['exclude_cat'] ) ; ?></textarea>			
    <span class="description"><?php _e( 'Category Name or Comma-Separated List - for example: <code>Science, War</code>. Includes sub-categories (aka "children").' , 'cks_lpa') ; ?></span>
    
    <?php
}

function cks_lpa_include_cats( $options ) {
    
    ?>
    <textarea name='cks_lpa_settings[include_cat]'><?php echo esc_attr( $options['include_cat'] ) ; ?></textarea>			
    <span class="description"><?php _e( 'Category Name or Comma-Separated List - for example: <code>Medicine,News</code>. Includes sub-categories (aka "children").' , 'cks_lpa') ; ?></span>
    
    <?php
}

function cks_lpa_exclude_from_list( $options ) { 
    
    if (!isset( $options['exclude_from_list'] ) ) { $options['exclude_from_list'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[exclude_from_list]' <?php checked( $options['exclude_from_list'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you DON\'T want the above "include category(ies)" to show in the list of categories with each Link-Post.' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_day_group( $options ) { 
    
    if (!isset( $options['day_group'] ) ) { $options['day_group'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[day_group]' <?php checked( $options['day_group'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you want to group Link-Posts according to Day of Week. ' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_day_group_format( $options ) { 

    ?>

    <input type='text' name='cks_lpa_settings[day_group_format]' value='<?php echo esc_attr( $options['day_group_format'] ) ; ?>'>
    <span class="description"><?php printf( __( '<a href="%s">PHP Format</a> for the Day of Week Heading. Default: <code>l, m-d</code>: %s' , 'cks_lpa' ), 'http://php.net/manual/en/function.date.php', mysql2date('l, m-d', time() ) ) ; ?></span>

    <?php
}

function cks_lpa_week_group( $options ) { 
    
    if (!isset( $options['week_group'] ) ) { $options['week_group'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[week_group]' <?php checked( $options['week_group'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you want to group Link-Posts according to Week. ' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_week_group_format( $options ) { 

    ?>

    <input type='text' name='cks_lpa_settings[week_group_format]' value='<?php echo esc_attr( $options['week_group_format'] ) ; ?>'>
    <span class="description"><?php printf( __( '<a href="%s">PHP Format</a> for the Week Heading. Default: <code>F j</code>: %s' , 'cks_lpa' ), 'http://php.net/manual/en/function.date.php', mysql2date('F j', time() ) ) ; ?></span>

    <?php
}

function cks_lpa_week_title( $options ) { 

    ?>

    <input type='text' name='cks_lpa_settings[week_title]' value='<?php echo esc_attr( $options['week_title'] ) ; ?>'>
    <span class="description"><?php _e( 'The Week Title, with start and end dates as formatted above substituted for the %s variables. Default: <code>Week of %1$s to %2$s</code>. (Uses <a href="http://php.net/manual/en/function.sprintf.php">PHP sprintf() arguments</a> for start date (1) and end date (2).)' , 'cks_lpa' ) ; ?></span>

    <?php
}

function cks_lpa_month_group( $options ) { 
    
    if (!isset( $options['month_group'] ) ) { $options['month_group'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[month_group]' <?php checked( $options['month_group'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you want to group Link-Posts according to Month. ' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_month_group_format( $options ) { 

    ?>

    <input type='text' name='cks_lpa_settings[month_group_format]' value='<?php echo esc_attr( $options['month_group_format'] ) ; ?>'>
    <span class="description"><?php printf( __( '<a href="%s">PHP Format</a> for the Month Heading. Default: <code>F</code>: %s' , 'cks_lpa' ), 'http://php.net/manual/en/function.date.php', mysql2date('F', time() ) ) ; ?></span>

    <?php
}

function cks_lpa_year_group( $options ) { 
    
    if (!isset( $options['year_group'] ) ) { $options['year_group'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[year_group]' <?php checked( $options['year_group'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you want to group Link-Posts according to Year. ' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_year_group_format( $options ) { 

    ?>

    <input type='text' name='cks_lpa_settings[year_group_format]' value='<?php echo esc_attr( $options['year_group_format'] ) ; ?>'>
    <span class="description"><?php printf( __( '<a href="%s">PHP Format</a> for the Year Heading. Default: <code>Y</code>: %s' , 'cks_lpa' ), 'http://php.net/manual/en/function.date.php', mysql2date('Y', time() ) ) ; ?></span>

    <?php
    
    submit_button( __( 'Save All Changes', 'cks_lpa'), 'primary middle', 'submit', false  ) ; 
    echo '<span id="link-posts-head">&nbsp;</span>' ;
    
}

function cks_lpa_alt_plus( $options ) { 
    
    $alt_plus       = ( ! empty( $options['alt_plus'] )     ?   esc_html( $options['alt_plus'] ) : '' ) ;
	
    ?>
    <input type='text' name='cks_lpa_settings[alt_plus]' value='<?php echo $alt_plus ; ?>'>
    <span class="description"><?php printf( __( 'Type your own symbol, for instance a regular plus ("+") character. You can also use a word or even full image link, but be prepared to customize it further! (More under <a %s>Custom Styling</a>.)</p>' , 'cks_lpa' ), 'href="?page=cks_lpa&tab=custom_styling"' ) ; ?></span>
    
    <?php
}

function cks_lpa_alt_minus( $options ) { 
    
    $alt_minus      = ( ! empty( $options['alt_minus'] )    ?   esc_html( $options['alt_minus'] ) : '' ) ;
	
    ?>
    <input type='text' name='cks_lpa_settings[alt_minus]' value='<?php echo $alt_minus ; ?>'>
    <span class="description"><?php printf( __( 'Type your own symbol, for instance a regular minus ("-") character. You can also use a word or even full image link, but be prepared to customize it further! (More under <a %s>Custom Styling</a>.)' , 'cks_lpa' ), 'href="?page=cks_lpa&tab=custom_styling"') ; ?></span>
    
    <?php
}

function cks_lpa_no_source_link( $options ) { 
	
    if (!isset( $options['no_source_link'] ) ) { $options['no_source_link'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[no_source_link]' <?php checked( $options['no_source_link'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'By default, each Link-Post title will link to the last URL found in post content (as in default Press This output). If no URL is found, the title will link to the "local" Link-Post, just like a typical blog post. <b>Check this box if you want Link-Post titles always to link to your own "local" post.</b>' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_hide_post_cats( $options ) { 
	
    if (!isset( $options['hide_post_cats'] ) ) { $options['hide_post_cats'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[hide_post_cats]' <?php checked( $options['hide_post_cats'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you do NOT want the Link-Post\'s Categories to display. ' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_hide_post_tags( $options ) { 
	
    if (!isset( $options['hide_post_tags'] ) ) { $options['hide_post_tags'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[hide_post_tags]' <?php checked( $options['hide_post_tags'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you do NOT want the Link-Post\'s Tags to display. ' , 'cks_lpa' ) ; ?></span>
    
    <?php
    
}

function cks_lpa_hide_comments( $options ) { 
	
    if (!isset( $options['hide_comments'] ) ) { $options['hide_comments'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[hide_comments]' <?php checked( $options['hide_comments'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you do NOT want the Comments-Count/Link to display. ' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_date_post( $options ) { 
    
    if (!isset( $options['date_post'] ) ) { $options['date_post'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[date_post]' <?php checked( $options['date_post'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you want each Link-Post\'s dates/time to be displayed. ' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_date_post_format( $options ) { 

    ?>

    <input type='text' name='cks_lpa_settings[date_post_format]' value='<?php echo esc_attr( $options['date_post_format'] ) ; ?>'>
    <span class="description"><?php printf( __( '<a href="%s">PHP Format</a> for the Link-Post date/time. Default: <code>g:i a</code>: %s' , 'cks_lpa' ), 'http://php.net/manual/en/function.date.php', mysql2date('g:i a', time() ) ) ; ?></span>

    <?php
}

//includes submit button and next heading anchor
function cks_lpa_no_quote( $options ) { 
    
    if (!isset( $options['no_quote'] ) ) { $options['no_quote'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[no_quote]' <?php checked( $options['no_quote'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( '<b>Check if you want a list of headings only: No "Content" or "Excerpt" included.</b>' , 'cks_lpa' ) ; ?></span>
    
    <?php
    
    submit_button( __( 'Save All Changes', 'cks_lpa'), 'primary middle', 'submit', false  ) ; 
    echo '<span id="link-post-content">&nbsp;</span>' ;
    
}

function cks_lpa_use_excerpt( $options ) { 
    
    if (!isset( $options['use_excerpt'] ) ) { $options['use_excerpt'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[use_excerpt]' <?php checked( $options['use_excerpt'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you want to use the post "Manual" Excerpt, if and when available, instead of full post Content. Tweet, Youtube, and many other URLs WILL automatically be rendered.' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_more_text( $options ) { 

    ?>

    <input type='text' name='cks_lpa_settings[more_text]' value='<?php echo esc_attr( $options['more_text'] ) ; ?>'>
    <span class="description"><?php _e( 'Default is <code>Continued</code>.', 'cks_lpa' ) ; ?></span>

    <?php
    
}

function cks_lpa_use_wp_excerpt( $options ) { 
    
    if (!isset( $options['use_wp_excerpt'] ) ) { $options['use_wp_excerpt'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[use_wp_excerpt]' <?php checked( $options['use_wp_excerpt'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you want to use the WordPress Excerpt (i.e., "Manual" Excerpt - "Automatic" if no Manual Excerpt present, with theme "Read More" link) instead of full content in the Link-Posts table. <b>OVERRIDES above excerpt settings</b>.' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

//includes save button and id for next section anchor
function cks_lpa_go_to_comments( $options ) { 

    ?>

    <input type='text' name='cks_lpa_settings[go_to_comments]' value='<?php echo esc_attr( $options['go_to_comments'] ) ; ?>'>
    <span class="description"><?php _e( 'Text/Label for comments link at bottom of opened Link-Post. Default is <code>Comments $rarr;</code>.', 'cks_lpa' ) ; ?></span>

    <?php
    
    submit_button( __( 'Save All Changes', 'cks_lpa'), 'primary middle', 'submit', false  ) ; 
    echo '<span id="footer-head">&nbsp;</span>' ;    
    
}

function cks_lpa_use_thumbnail( $options ) { 
    
    if (!isset( $options['use_thumbnail'] ) ) { $options['use_thumbnail'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[use_thumbnail]' <?php checked( $options['use_thumbnail'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you want post "thumbnail" images to display in the Link-Post table.' , 'cks_lpa' ) ; ?></span>
    
    <?php
    
}

function cks_lpa_cat_title( $options ) { 
	
    ?>
    <input type='text' name='cks_lpa_settings[cat_title]' value='<?php echo esc_attr( $options['cat_title'] ) ; ?>'>
    <span class="description"><?php _e( 'The text of the link at the bottom right of the Link-Posts table. By default, the link points to a <b>single</b> designated Link-Posts category "archive." Use the setting below if you are designating multiple Link-Post categories or just wish to change the target.' , 'cks_lpa' ) ; ?></span>
    
    <?php
}


function cks_lpa_show_right( $options ) { 
	
    if (!isset( $options['show_right'] ) ) { $options['show_right'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[show_right]' <?php checked( $options['show_right'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you want the bottom-right link to display on the Link Posts table. ' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_left_name( $options ) { 
	
    ?>
    <input type='text' name='cks_lpa_settings[left_name]' value='<?php echo esc_attr( $options['left_name'] ) ; ?>'>
    <span class="description"><?php _e( 'OPTIONAL: The name of a second category, for instance a left category that includes the Link-Posts category. Appears at bottom left.' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_left_title( $options ) { 
	
    ?>
    <input type='text' name='cks_lpa_settings[left_title]' value='<?php echo esc_attr( $options['left_title'] ) ; ?>'>
    <span class="description"><?php _e( 'The text of the secondary link. ' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_show_left( $options ) { 
	
    if (!isset( $options['show_left'] ) ) { $options['show_left'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[show_left]' <?php checked( $options['show_left'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'Check if you want a secondary link to display on the Link Posts table. ' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_right_url( $options ) { 
	
    ?>
    <input type='url' name='cks_lpa_settings[right_url]' value='<?php echo esc_url( $options['right_url'] ) ; ?>'>
    <span class="description"><?php _e( 'Substitute a hard-coded URL (with "http://") for Link-Posts Category URL in Table Display.' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_left_url( $options ) { 
	
    ?>
    <input type='url' name='cks_lpa_settings[left_url]' value='<?php echo esc_url( $options['left_url'] ) ; ?>'>
    <span class="description"><?php _e( 'URL (with "http://") for secondary (bottom left) link.' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_show_credit( $options ) { 
	
    if (!isset( $options['show_credit'] ) ) { $options['show_credit'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[show_credit]' <?php checked( $options['show_credit'], 1 ) ; ?> value='1'><img id="cks_credit_link_admin" src="<?php echo plugins_url( 'images/cks_wp_plugins_80x16.jpg', __FILE__ ) ; ?>" >
    <span class="description"><?php _e( 'Check if you don\'t mind including a link back to the plugin\'s home page nestled discreetly at the end of your table! ' , 'cks_lpa' ) ; ?></span>
    
    <?php
    
    submit_button( __( 'Save All Changes', 'cks_lpa'), 'primary middle', 'submit', false  ) ; 
    echo '<span id="query-head">&nbsp;</span>' ; 
     
}

function cks_lpa_show_main( $options ) { 
	
    if (!isset( $options['show_main'] ) ) { $options['show_main'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[show_main]' <?php checked( $options['show_main'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'By default, individual Link-Posts are excluded from the "main query" (or blog home page). Check this box if you would like them to appear individually, just like regular posts, as well as in any Link-Posts table.' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_show_author( $options ) { 
	
    if (!isset( $options['show_author'] ) ) { $options['show_author'] = '' ; }
    ?>
    <input type='checkbox' name='cks_lpa_settings[show_author]' <?php checked( $options['show_author'], 1 ) ; ?> value='1'>
    <span class="description"><?php _e( 'By default, individual Link-Posts are excluded from an author\'s archive page. Check this box if you would like them to appear individually in author pages just like regular posts, as well as in any Link-Posts table.' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

function cks_lpa_conceal_from( $options ) { 
	
    ?>
    <input type='text' name='cks_lpa_settings[conceal_from]' value='<?php echo esc_attr( $options['conceal_from'] ) ; ?>'>
    <span class="description"><?php _e( 'Category name, ID, or slug, or categories in comma-separated list, where you do NOT want Link-Posts to turn up. <br>
    <br>A use for additional "conceal-from" categories would be, for example, a custom archive which also featured a Link-Posts table (template, sticky post, and/or widget): In such situations, including the Link-Posts within the archive might be redundant or confusing.' , 'cks_lpa' ) ; ?></span>
    
    <?php
}

/*
 * SANITIZE USER-SUPPLIED OPTIONS BEFORE ADDING TO DATABASE
 */
function cks_lpa_sanitize_options( $input ) {

    $input['table_title']               = sanitize_text_field( $input['table_title'] ) ;
    $input['more_text']                 = sanitize_text_field( $input['more_text'] ) ;
    $input['go_to_comments']            = sanitize_text_field( $input['go_to_comments'] ) ;
    $input['number_posts']              = intval( $input['number_posts'] ) ;
    $input['order']                     = sanitize_text_field( $input['order'] ) ; 
    $input['orderby']                   = sanitize_text_field( $input['orderby'] ) ;     
    $input['exclude_cat']               = sanitize_text_field( $input['exclude_cat'] ) ;
    $input['include_cat']               = sanitize_text_field( $input['include_cat'] ) ;
    $input['cat_name']                  = sanitize_text_field( $input['cat_name'] ) ;
    $input['cat_title']                 = sanitize_text_field( $input['cat_title'] ) ;
    $input['left_title']                = sanitize_text_field( $input['left_title'] ) ;
    $input['conceal_from']              = sanitize_text_field( $input['conceal_from'] ) ;
    $input['right_url']                 = esc_url( $input['right_url'] ) ;
    $input['left_url']                  = esc_url( $input['left_url'] ) ;
    $input['date_post_format']          = sanitize_text_field( $input['date_post_format'] ) ;
    $input['day_group_format']          = sanitize_text_field( $input['day_group_format'] ) ;
    $input['week_group_format']         = sanitize_text_field( $input['week_group_format'] ) ;
    $input['week_title']                = sanitize_text_field( $input['week_title'] ) ;    
    $input['month_group_format']        = sanitize_text_field( $input['month_group_format'] ) ;
    $input['year_group_format']         = sanitize_text_field( $input['year_group_format'] ) ;
    
    return $input;

}

/**
 *  ADD CSS 
 */
function save_cks_lpa_stylesheet_options() {

    add_action( 'admin_post_save_cks_lpa_stylesheet_options', 'process_cks_lpa_stylesheet_options' ) ;
        
}

function process_cks_lpa_stylesheet_options() {
    
    // Check that user has proper security level
    if ( ! current_user_can( 'manage_options' ) 
         || ! wp_verify_nonce( $_POST['stylesheet_nonce'], 'cks_lpa_stylesheet')   
            ) {
        
        wp_die( 'Not allowed' ) ;
            
    }

    // Retrieve original plugin options array
    $option = get_option( 'cks_lpa_style' ) ;

    if ( isset( $_POST['resetstyle'] ) ) {
        $stylesheet_location = plugin_dir_path( __FILE__ ) . 'css/cks_lpa_add_css.css' ;
        $option = file_get_contents( $stylesheet_location ) ;

        $message = 2;
        
    } elseif 
        
        ( isset( $_POST['layout'] ) )

    {

        $option = $_POST['cks_lpa_style'];

        $message = 1;

    }

    // Store updated option to database
    update_option( 'cks_lpa_style', $option ) ;

    // Redirect the page to the configuration form that was
    // processed
    wp_redirect( add_query_arg( array( 'page' => 'cks_lpa&tab=custom_styling', 'message' => $message ), admin_url( 'options-general.php' ) ) ) ;
    exit() ;
    
}

function cks_lpa_css_form() {
    
    $option = get_option( 'cks_lpa_style' ) ;
    
    ?>       
        
    <div id="cks_plugins-add-css" >

    <h2>ADD CSS</h2>

    <form name="cks_lpa_stylesheet_options_form" method="post" action="admin-post.php">

    <input type="hidden" name="action" value="save_cks_lpa_stylesheet_options" />
    
    <?php wp_nonce_field( 'cks_lpa_stylesheet', 'stylesheet_nonce' ) ; ?>

    <textarea name="cks_lpa_style" rows="40" style="font-family:Consolas,Monaco,monospace;width:100%;"><?php echo esc_html( stripslashes( $option ) ) ; ?></textarea><br />
    <input type="submit" value="Save Added CSS" name="layout" class="button-primary" />
    <input type="submit" value="Reset Styles" name="resetstyle" onclick="return confirm( '<?php _e( 'Are you sure you want to reset Additional CSS to plug-in defaults?', 'cks_lpa' ) ?>' )"class="button-secondary" />

    </form>

    </div>

    <?php }


/**
 * OPTIONS PAGE CONTENT/LAYOUT
 */
function cks_lpa_getting_started_section() {
    
    $options = get_option( 'cks_lpa_settings' );
    
    ?>
    
    <section>
                
        <h2><?php _e( 'GETTING STARTED', 'cks_lpa') ; ?></h2>
       
        <h3><?php _e( '1. Create or Designate a Category for Aggregation (Link-Posting)', 'cks_lpa' ) ; ?></h3>
       
        <p><?php _e( 'Before you can display and use an aggregation or "Link-Posts" table, you first have to create or designate a Link-Posts category, and put posts in it. <b>You must create and designate the category, and add or create some Link-Posts in that category, for the table to appear and to function.</b>', 'cks-lpa') ; ?></p>
        
        <p><?php _e( 'The Link-Posts category will be like any other WordPress Category on the site except that 1) posts that are in the Link-Posts category can appear in the Link-Posts table, and 2), by default, posts in the Link-Posts category are otherwise hidden from your site\'s main page or "query", as well as from author pages. In addition, the Link-Post category is also excluded from the list of categories that can be set to appear within the Link-Posts table, and posts in the Link-Posts category can be set to be concealed from other pages or archives.', 'cks-lpa') ; ?>
            
        <p><?php printf( __( 'You can use "Link-Posts" as your category name, or use <a href="%s">any new or already-existing category name</a>, but, whatever name you use, you need to set and save it. (You can also designate multiple Link-Posts categories, but one will be enough for most uses.)','cks_lpa'), admin_url('edit-tags.php?taxonomy=category' ) ) ; ?>
            
        <h3><?php _e( '2. Set the Category', 'cks_lpa' ) ; ?></h3>    
            
        <p><?php printf( __( 'You can set your Link-Posts category name below or in "<a %s>Main Settings</a>," in the very first box.', 'cks_lpa' ), 'href="?page=cks_lpa&tab=main_settings"' ) ; ?></p>
      
       <form action='options.php' method='post' >	
           
           <?php wp_nonce_field( 'cks_lpa_required', '_cks_lpa_required_nonce' ) ; ?>
           
           <table class="form-table">
               <tr>
                   <th scope="row">Name of Aggregation Category</th>
                   <td>    
                       <?php $no_lp_cat = isset( $options['no_lp_cat'] ) ? $options['no_lp_cat'] : '' ; ?>
        
                       <input type='text' name='cat_name' value='<?php echo esc_attr( $options['cat_name'] ) ; ?>' <?php echo $no_lp_cat ? 'readonly' : '' ; ?> >
                       <span class="description"><?php _e( 'Category name (Default: <code>Link-Posts</code>) or comma-separated list (<code>Science-Links,History-Links,Politics-Links</code>).' , 'cks_lpa' ) ; ?></span>
                       <?php 
                       
                       $message_val = $no_lp_cat ? __( 'Category Overriden in Main Settings', 'cks_lpa') : 
                           __( 'Set Category', 'cks_lpa' ); 
                       ?>
                             
            <input id="required-submit" type="submit" value="<?php echo $message_val ; ?>" class="button-primary <?php echo $no_lp_cat ? 'button-readonly' : '' ; ?>" >
            <input type="hidden" name="required" value="cks_lpa_required">
                   </td>
               </tr>
           </table>
        
        </form> 
        
        <h3><?php _e( '3. Create an Aggregation Table', 'cks_lpa' ) ; ?></h3>

       <p><?php _e( 'Add the shortcode <code>[add_lt]</code> to a post or page (maybe a "sticky" post for your blog\'s front page), <b>or...</b>', 'cks_lpa') ; ?></p>
       
       <p><?php printf( __( '<a href="%s">...Activate a Link-Posts widget</a> and place it in a sidebar, <b>or...</b>', 'cks_lpa'), admin_url('/widgets.php') ) ; ?></p>
       
       <p><?php printf( __( '...Use one of the other options described under "<a href="%s">Installation Options</a>. (...and you don\'t HAVE to use the tables for "Link-Posts" or only Link-Posts.)', 'cks_lpa'), '?page=cks_lpa&tab=installation_options' ) ; ?></p>
       
       <p><?php printf( __( 'Adjusted for your theme and content, the default "straight out of the box version" of the Link-Posts table will look something like the "Default Widget" <span %s>shown in the sidebar</span> of all Link-Posts options pages (like this one!).)', 'cks_lpa'), 'class="remotehigh" id="remotehigh1" href="#"' ) ; ?></p>
       
       <div class="cks_lpa-callout">
           
           <p class="cks_lpa-callout-title"><?php _e( 'The Default Link Posts Table', 'cks_lpa') ; ?></p>
               
           <p><?php _e( '<b>By default</b>, the Link-Posts table will show the titles of the five most recently published posts in the "Link-Posts" category, each linked to the "source" (derived from the last link found in the Link-Post\'s content), along with a "comments pop-up link" (the number of comments, linked to the comment thread). Below the Link-Post title, categories (other than the Link-Posts category) will be listed, along with post tags. When the user clicks on the "plus" symbol-link, a box will open up showing the actual content of the Link-Post (or its "manual" excerpt if available), and a "comment" link if comments are open.', 'cks_lpa') ; ?></p>
       
       </div>
       
       <p><?php _e( 'If you like things that way, you may not have to make any other adjustments: All other settings are optional.', 'cks_lpa' ) ; ?> </p>
       
       <h3><?php _e( '4. Customize (Or Don\'t!)', 'cks_lpa' ) ; ?></h3> 
       
        <p><?php _e( 'It could be that the default settings for your Link-Posts table will work satisfactorily with your theme, but, if not, the plug-in comes with many options and further installation and customization alternatives.', 'cks_lpa') ; ?></p>
        
        <p><?php printf( __( 'As you will see, you can customize the Link-Posts table by setting new sitewide defaults in <a %s>Main Settings</a> or for individual tables (shortcode, template, or widget) when you create them. Every major element of the Link-Post table, and many minor ones, will be customizable directly from these options pages, via shortcode "arguments," or via widget settings. Advanced users can also choose from among numerous CSS selectors and action/filter hooks. All Settings and Style changes can easily be reset if you change your mind.','cks_lpa') , 'href="?page=cks_lpa&tab=main_settings"') ; ?></p>

        <p><?php printf( __('See <a href="%s">Installation Options</a> for available shortcode settings, and for further instructions on adding and customizing Link-Posts tables in posts, pages, theme template files, and widgets. ', 'cks_lpa'), '?page=cks_lpa&tab=installation_options') ; ?> </p>

        <p><?php printf( __('Presentation can be further enriched via CSS in a theme stylesheet, via a CSS add-on (like Jetpack\'s Edit CSS), or by using the Add CSS tool under "<a %s>Custom Styling</a>," where you will find some example styles as well as a catalogue of available CSS selectors and links to further examples.', 'cks_lpa'), 'href="?page=cks_lpa&tab=custom_styling"' ) ; ?></p> 
        
        <h3><?php _e( '5. Aggregate!', 'cks_lpa' ) ; ?></h3>

        <p><?php printf( __( 'To make adding Link-Posts to the table easy, you can use WordPress\'s own <a %s />Press This</a>, which can make aggregating posts with pre-formatted quotes and links a "few-clicks" operation. For further usage examples, check the <a href="%s" >Link-Posts home page</a>.', 'cks_lpa'), 'href="' . admin_url() . '/tools.php"'  ,'http://ckmacleod.com/wordpress-plugins/linkposts/' ) ; ?></p>
        
        <div id="lpa-getting-started-video" class="lpa-iframe" style="width: 100%">
        
        <iframe style="display: block; max-width: 100%; margin: 0 auto;" width="640" height="360" src="https://www.youtube.com/embed/5MeqqdRDuqc" frameborder="0" allowfullscreen></iframe>
        
        </div>
        
        <p><?php printf (__( '...and if you get a chance, please <a href="%s" >tell us about it!</a>', 'cks_lpa'), 'http://ckmacleod.com/wordpress-plugins/linkposts/get-support/' ) ; ?></p>
        
        <div id="visit-lpa-home-pages" style="width: 100%;margin-top: 3em; overflow: auto;text-align:center;">
        
        <h2 id="visit-lpa-heading"><?php printf( __( 'Visit <a href="%s">the LPA Home Pages</a> for Tips, Support, and More Examples of Link-Post Styling Alternatives!</a>', 'cks_lpa' ), 'http://ckmacleod.com/wordpress-plugins/linkposts/' ) ; ?></h2>
        
        <a href="http://ckmacleod.com/wordpress-plugins/linkposts/"><img id="lpa-home-pages-img" style="width: 100%" src="<?php echo plugin_dir_url(__FILE__) ; ?>images/lpa_home_pages.jpg"></a>
        
        </div>
        
        <?php cks_plugins_donations() ; ?>
        
    </section> 
    
    
    
    <?php
        
}

function cks_lpa_main_settings_section() { ?>      
        
    <section>
        
        <p id="goto-menu-top" class="goto-menu"><?php printf( __('<a href="%s">Table Headings</a> | <a href="%s">Post Headings</a> | <a href="%s">Post Content</a> | <a href="%s">Table Footer</a> | <a href="%s">Conceal/Show</a> | <a href="%s">Reset</a>', 'cks_lpa'), 
                '#table-headings-head', 
                '#link-posts-head', 
                '#link-post-content',
                '#footer-head', 
                '#query-head',
                '#cks_plugins-reset-to-defaults' ) ; ?></p>
        
        <form action='options.php' method='post' name='main_form'>	

            <?php
            
            settings_fields( 'cks_lpa' ) ;
            do_settings_sections( 'cks_lpa' ) ;
            submit_button( 'Save All Changes', 'primary bottom', 'submit', false) ;

            ?>
        
        </form> 
        
        <form action="" method="post" name="reset_button">

                <input id="cks_plugins-reset-to-defaults" type="submit" name="Reset" onclick="return confirm( '<?php _e( 'Are you sure you want to reset all Main Settings to plug-in defaults?', 'cks_lpa' ); ?>' )" value="<?php _e( 'Reset All Main Settings', 'cks_lpa' ) ; ?>" title="<?php _e( 'Reset to Default Settings', 'cks_lpa' ) ; ?>" />

                <?php wp_nonce_field( 'cks_lpa_reset_options', '_lpa_reset_nonce' ) ; ?>

        </form>
        
        <p id="goto-menu-bottom" class="goto-menu"><?php printf( __('<a href="%s">Set Link-Posts Category</a> | <a href="%s">Table Headings</a> | <a href="%s">Post Headings</a> | <a href="%s">Post Content</a> | <a href="%s">Table Footer</a>', 'cks_lpa'), '#goto-menu-top', '#table-headings-head', '#link-posts-head','#link-post-content', '#footer-head' ) ; ?></p>
        
    </section>
            
            <?php } 
    
function cks_lpa_installation_options_section() { 
            
    ?> 
    
    <section>
        
    <h2><?php _e( 'INSTALLATION INSTRUCTIONS', 'cks_lpa') ; ?></h2>               

    <p><?php _e( 'You cannot produce a table until you a) create or designate an Aggregation category, b) add some posts to it, c) Set the category as the Aggregation category in Getting Started or Main Settings, and d) either activate a "Link-Posts"  widget or use one of the other installation methods described below. ', 'cks_lpa' ) ; ?></p>

    <p><?php printf( __( '(A great tool for easy creation of Link-Posts is WordPress\'s own <a %s>Press This</a>: You can make aggregating interesting posts <a %s>a "few-clicks" operation</a>.)', 'cks_lpa' ), 'href="' . admin_url( '/tools.php' ) . '"', 'href="?page=cks_lpa&tab=getting_started#lpa-getting-started-video"' ) ; ?></p>

    <h3><?php _e( 'TO ADD ONE OR MORE LINK-POSTS TABLES TO A SIDEBAR AREA', 'cks_lpa' ) ; ?></h3>

    <p><?php _e( 'Enable the Linkposts widget, like any other Wordpress Widget: Most of the main settings can be set on a per-widget basis within the widget settings. With most themes, the default settings ought to give you a good starting point.', 'cks_lpa' ) ; ?></p>

    <h3><?php _e( 'TO ADD A LINK-POSTS TABLE TO A PAGE OR POST', 'cks_lpa' ) ; ?></h3>

    <p><?php _e( 'Add the following shortcode where you wish the table to appear, for instance in a "sticky" post:', 'cks_lpa' ) ; ?></p>

    <p><?php _e( '<code>&#91;add_lt&#93;</code>', 'cks_lpa' ) ; ?></p>

    <p><?php printf( __( 'You can rely on initial default settings or on new ones established in Main Settings, or you can customize the output on a per-table basis. A table of <a %s>available shortcode arguments</a> appears below. There are also a few arguments <a %s>available only in shortcodes</a> for setting particular Table CSS IDs, for setting and displaying a "cut-off" date-time, and for allowing pagination of the table when implemented in a page or as an archive.', 'cks_lpa' ), 'href="#lp-shortcodes-table-title"', 'href="#shortcode-only-styles"' ) ; ?></p> 

    <p><?php _e( 'So, for example, if you wanted to produce a unique table of 1) "Latest Science Links" posts, 2) filled only with up to 10 most recent Link-Posts in the "Science" category, 3) only displaying those added up to the date of publication of the post or page, 4) with a custom date-time display of the containing post\'s date and time of publication, 5) without comment count-links, you could add the following code:', 'cks_lpa' ) ; ?></p>

    <p><code>[add_lt table_title="Latest Science Links" number_posts=10 include_cat=Science up_to_post_date=1 datetime_format="Y, l, F j" datetime_before="As of " hide_comments=1 show_rights=1]</code></p>
    
    <p><?php printf( __( '(See on-line documentation for <a %s>an example of a table produced with the above arguments</a>.)', 'cks_lpa' ), 'href="http://ckmacleod.com/wordpress-plugins/linkposts/installation-instructions#shortcode-sample" target="_blank"' ) ; ?></p>

    <h3><?php _e( 'TO ADD A LINK-POSTS TABLE TO A TEMPLATE FILE IN A STATIC POSITION OR VIA ACTION HOOK', 'cks_lpa' ) ; ?></h3>

    <p><?php _e( 'Copy the following PHP code and paste it (between opening and closing PHP symbols, of course) where you wish the table to appear, for instance before the Loop:', 'cks_lpa' ) ; ?></p>

    <code>if ( function_exists( 'add_cks_lpa_table_to_template' ) ) { add_cks_lpa_table_to_template( 'example-name' ) ; } </code>

    <p><?php _e( 'You can use any PHP/JS-allowed characters for the identifier - "example-name" in the above. It will produce a unique CSS ID selector for the entire table - e.g., "#cks_lpa-table-home-page." ', 'cks_lpa' ) ; ?></p> 

    <p><?php _e( 'Because themes vary widely, customizing your static link-table, whether by this method or as "first post of the day" (see below), will very likely require some fine-tuning - see <a href="?page=cks_lpa&tab=custom_styling">Custom Styling</a> for more on this topic, and for a simple Add CSS tool you can use.', 'cks_lpa' ) ; ?></p>
    
    <p><?php _e( 'If you wish to employ multiple tables with different parameters, you can use a "do shortcode" statement:', 'cks_lpa') ; ?></p>
    
    <code>echo do_shortcode( '[add_lt table_title="New in Science" include_cat=Science exclude_cat=History hide_post_cats=1]' ) ;</code> 
    <br>
    <code>echo do_shortcode( '[add_lt table_title="New in History" include_cat=History exclude_cat=Science hide_post_cats=1]' ) ; </code>
    
    <p><?php printf( __('An alternative <b>for advanced users</b> would be to add an "$args" array to the template code above - <code>add_cks_lpa_table_to_template( $args ) </code> with arguments overwriting default and Main Settings options. For usage details and examples, see <a %s>"Adding Template Arguments," in LPA documentation.</a>', 'cks_lpa' ), 'href="http://ckmacleod.com/wordpress-plugins/linkposts/advanced-usage/#template-args"' ) ; ?></p>

    <h3><?php _e( 'TO ADD A LINK-POSTS TABLE TO A MAIN PAGE AS "FIRST POST OF THE DAY"', 'cks_lpa' ) ; ?></h3>

    <p><?php _e( '...in other words so that all new blog posts on any current day appear above it, all previous posts below it, use the following PHP code:', 'cks_lpa' ) ; ?></p>

    <code>if ( function_exists( 'place_cks_lpa_table_in_loop' ) ) { place_cks_lpa_table_in_loop() ; } </code>

    <p><?php _e( 'It will go somewhere after <code>while ( have_posts() ): </code>, depending on how your theme is coded, for instance in an index.php or home.php file. I find it a neat way to add a Link-Posts table to a moderately active blog.', 'cks_lpa' ) ; ?></p>

    <hr style="margin: 20px 0;">

        <table id="cks_plugins-sc-table">
            <thead>
                <tr>
                    <th style="text-align: center;" colspan="4">
                        <h2 id="lp-shortcodes-table-title"><?php _e( 'SHORTCODES', 'cks_lpa' ) ; ?></h2>
                    </th>
                </tr>
                <tr>
                    <th style="text-align: left;">Argument</th>
                    <th style="text-align: center;">Purpose</th>
                    <th style="text-align: center;">Default*</th>
                    <th style="text-align: center;">Usage</th>
                </tr>
            </thead>
        <tbody>
            <tr>
                <td>add_lt</td>
                <td style="text-align: center;">Add a Link-Posts Table<br>as per defaults or specified attributes</td>
                <td style="text-align: center;">add_lt</td>
                <td style="text-align: center;"> &#91;add_lt number_posts=10 &#93;</td>
            </tr>
            <tr>
                <td>number_posts</td>
                <td style="text-align: center;">number of posts
                in table</td>
                <td style="text-align: center;">5</td>
                <td style="text-align: center;">number_posts=10</td>
            </tr>
            <tr>
                <td>table_title</td>
                <td style="text-align: center;">Title of Table</td>
                <td style="text-align: center;">&#39;Latest Links&#39;</td>
                <td style="text-align: center;">table_title=&#39;Linkage&#39;</td>
            </tr>
            <tr>
                <td>hide_title</td>
                <td style="text-align: center;">Hide Table Title</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">hide_title=1</td>
            </tr>
            <tr>
                <td>order</td>
                <td style="text-align: center;">Order of Link-Posts</td>
                <td style="text-align: center;">DESC</td>
                <td style="text-align: center;">order=ASC</td>
            </tr>
            <tr>
                <td>orderby</td>
                <td style="text-align: center;">Query Parameter by which to Order Posts</td>
                <td style="text-align: center;">date (post-date)</td>
                <td style="text-align: center;">orderby=rand</td>
            </tr>
            <tr>
                <td>exclude_cat</td>
                <td style="text-align: center;">Exclude posts in listed categories from table</td>
                <td style="text-align: center;">&#39;&#39;</td>
                <td style="text-align: center;">exclude_cat=&#39;2,12,8&#39;</td>
            </tr>
            <tr>
                <td>include_cat</td>
                <td style="text-align: center;">Include only posts in listed categories in table</td>
                <td style="text-align: center;">&#39;&#39;</td>
                <td style="text-align: center;">include_cat=&#39;35&#39;</td>
            </tr>
            <tr>
                <td>no_source_link</td>
                <td style="text-align: center;">Title Link to Own Post instead of Source</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">no_source_link=1</td>
            </tr>
            <tr>
                <td>hide_comments</td>
                <td style="text-align: center;">Hide Comments Count/Link</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">hide_comments=1</td>
            </tr>
            <tr>
                <td>date_post</td>
                <td style="text-align: center;">Show Each Link-Post's Publication Date</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">date_post=1</td>
            </tr>
            <tr>
                <td>date_post_format</td>
                <td style="text-align: center;">PHP Format for Link-Post's Publication Date</td>
                <td style="text-align: center;">g:i a</td>
                <td style="text-align: center;">date_post_format='l, F j, Y - g:i a'</td>
            </tr>
            <tr>
                <td>hide_post_cats</td>
                <td style="text-align: center;">Hide Link-Post Categories</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">hide_post_cats=1</td>
            </tr>
            <tr>
                <td>hide_post_tags</td>
                <td style="text-align: center;">Hide Link-Post Tags</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">hide_post_tags=1</td>
            </tr>
            <tr>
                <td>use_excerpt</td>
                <td style="text-align: center;">Use "Manual" Post Excerpt instead of Post Content when Available</td>
                <td style="text-align: center;">1</td>
                <td style="text-align: center;">use_excerpt=0</td>
            </tr>
            <tr>
                <td>more_text</td>
                <td style="text-align: center;">Text for the "More" Link included with Excerpts</td>
                <td style="text-align: center;">Continued</td>
                <td style="text-align: center;">more_text='Read More'</td>
            </tr>
            <tr>
                <td>use_wp_excerpt</td>
                <td style="text-align: center;">Use WordPress-Generated Excerpt</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">use_wp_excerpt=1</td>
            </tr>
            <tr>
                <td>cat_title</td>
                <td style="text-align: center;">Text displayed by right bottom link</td>
                <td style="text-align: center;">&#39;Link-Posts &rarr;&#39;</td>
                <td style="text-align: center;">cat_title=&#39;Linkage&#39;</td>
            </tr>
            <tr>
                <td>show_right</td>
                <td style="text-align: center;">Show right bottom link</td>
                <td style="text-align: center;">1</td>
                <td style="text-align: center;">show_right=0</td>
            </tr>
            <tr>
                <td>left_title</td>
                <td style="text-align: center;">Text displayed by left bottom link</td>
                <td style="text-align: center;">&#39;&larr; In the Web&#39;</td>
                <td style="text-align: center;">left_title=&#39;Linkage and Notes&#39;</td>
            </tr>
            <tr>
                <td>show_left</td>
                <td style="text-align: center;">Show left bottom link</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">show_left=0</td>
            </tr>
            <tr>
                <td>right_url</td>
                <td style="text-align: center;">Alternative URL for right bottom link</td>
                <td style="text-align: center;">&#39;&#39;</td>
                <td style="text-align: center;">right_url=&#39;http://example.com/&#39;</td>
            </tr>
            <tr>
                <td>left_url</td>
                <td style="text-align: center;">Alternative URL for left bottom link</td>
                <td style="text-align: center;">&#39;&#39;</td>
                <td style="text-align: center;">left_url=&#39;http://otherexample.com/&#39;</td>
            </tr>
            <tr>
                <td>day_group</td>
                <td style="text-align: center;">Group Link-Posts by Day of Week</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">day_group=1</td>
            </tr>
            <tr>
                <td>day_group_format</td>
                <td style="text-align: center;">PHP Date Format for Day Group Heading</td>
                <td style="text-align: center;">l, m-d</td>
                <td style="text-align: center;">day_group_format='F j, Y'</td>
            </tr>
            <tr>
                <td>week_group</td>
                <td style="text-align: center;">Group Link-Posts by Week</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">week_group=1</td>
            </tr>
            <tr>
                <td>week_group_format</td>
                <td style="text-align: center;">PHP Date Format for Week Group Heading</td>
                <td style="text-align: center;">F j</td>
                <td style="text-align: center;">week_group_format='F j, Y'</td>
            </tr>
            <tr>
                <td>week_title</td>
                <td style="text-align: center;">Full Format for Week Title, with first variable=start date, second=end date</td>
                <td style="text-align: center;">Week of %1$s to %2$s</td>
                <td style="text-align: center;">week_title='Week of %1$s to %2$s'</td>
            </tr>            
            <tr>
                <td>month_group</td>
                <td style="text-align: center;">Group Link-Posts by Month</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">month_group=1</td>
            </tr>
            <tr>
                <td>month_group_format</td>
                <td style="text-align: center;">PHP Date Format for Month Group Heading</td>
                <td style="text-align: center;">F</td>
                <td style="text-align: center;">day_group_format='F j, Y'</td>
            </tr>
            <tr>
                <td>year_group</td>
                <td style="text-align: center;">Group Link-Posts by Year</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">day_group=1</td>
            </tr>
            <tr>
                <td>year_group_format</td>
                <td style="text-align: center;">PHP Date Format for Year Group Heading</td>
                <td style="text-align: center;">Y</td>
                <td style="text-align: center;">day_group_format='yy'</td>
            </tr> 
            <tr>
                <td>show_credit</td>
                <td style="text-align: center;">Show a Credit-Link to Plugin's Home Pages</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">show_credit=1</td>
            </tr>
            <tr>
                <td>no_lp_cat</td>
                <td style="text-align: center;">Treat All Posts as Link-Posts for Table Inclusion</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">no_lp_cat=1</td>
            </tr>
            <tr>
                <td>no_quote</td>
                <td style="text-align: center;">Do Not Include Post Excerpt or Content (All Posts "Closed"</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">no_quote=1</td>
            </tr>
            <tr>
                <td>cat_name</td>
                <td style="text-align: center;">Set Category Name by Table</td>
                <td style="text-align: center;">Link-Posts</td>
                <td style="text-align: center;">cat_name=Science</td>
            </tr>
            <tr>
                <td colspan="4"><b><?php _e( '*Derived from Plug-In Defaults - so will differ if altered in Main Settings.', 'cks_lpa' ) ; ?></b></td>
            </tr>
            <tr >
                <td colspan="4"><h2 id="shortcode-only-styles" style="color: red">FORMATS AVAILABLE VIA SHORTCODE EXCLUSIVELY<br>(cannot be set in Main Settings)</h2></td>
            <tr style="color: red">
                <td>table_id</td>
                <td style="text-align: center;">CSS ID for table to replace ID of containing post/page</td>
                <td style="text-align: center;">&#39;&#39;</td>
                <td style="text-align: center;">table_id=&#39;latest-link-posts-2&#39;</td>
            </tr>
            <tr style="color: red">
                <td>up_to_post_date</td>
                <td style="text-align: center;">Exclude Link-Posts added <br>after publication date of post/page</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">up_to_post_date=1</td>
            </tr>
            <tr style="color: red">
            <td>datetime_format</td>
                <td style="text-align: center;">Format to display cut-off date-time</td>
                <td style="text-align: center;">&#39;l, F j, Y - g:i a&#39;</td>
                <td style="text-align: center;">datetime_format=&#39;Y, l, F j&#39;</td>
            </tr>
            <tr style="color: red">
                <td>datetime_before</td>
                <td style="text-align: center;">Text to precede datetime</td>
                <td style="text-align: center;">&#39;&#39;</td>
                <td style="text-align: center;">date_time_before=&#39;As of &#39;</td>
            </tr>
            <tr style="color: red">
                <td>paginate_table</td>
                <td style="text-align: center;">Whether to paginate table (on Pages only)</td>
                <td style="text-align: center;">0</td>
                <td style="text-align: center;">paginate_table=1</td>
            </tr>
        </tbody>
        <tfoot>
            <tr>
                <td style="text-align: right;" colspan="4">LPA Shortcode Table 8 September 2016</td>
            </tr>
        </tfoot>
    </table>
    
    </section>
    
    <?php
            
} 
        
function cks_lpa_custom_styling_section() { 
    
    ?>
    
    <section>

        <h2><?php _e( 'CUSTOMIZING CSS', 'cks_lpa') ; ?></h2>

        <p><?php _e( 'With some themes, the Link-Posts table will work right out of the box, but you still may need or want to make formatting adjustments even in those cases.' , 'cks_lpa' ) ; ?></p>
            
        <p><?php printf( __( 'You can try out some CSS adjustments below: The styles will will override equal or less specific selectors in theme and plug-in stylesheets, as well as styles from CSS processors like JetPack\'s "Edit CSS. For reference <a href="#cks_lpa-admin-css-ref">the plug-in default stylesheet</a> is shown further below, and a table of all available Linkposts CSS selectors is available in the <a href="%s">plug-in\'s on-line documentation</a>, along with other style examples and suggestions.' , 'cks_lpa' ), 'http://ckmacleod.com/plugins/linkposts/linkposts-css/' ) ; ?></p>

        <?php cks_lpa_css_form() ; ?>
            
        <div class="cks_lpa-callout" style="margin-top: 2em;">
            <p class="cks_lpa-callout-title"><?php _e( 'ACTIVATING THE SUPPLIED STYLES', 'cks_lpa') ; ?></p>
            <p><?php printf( __('Deleting the marked "note section" at the beginning of the default ADD CSS stylesheet, and saving, will apply the styles to your Link-Posts table, producing a result similar (adjusted for theme and posting methods) to <span %s>the Simple Customized Widget</span> in the sidebar.','cks_lpa'), 'href="#" class="remotehigh" id="remotehigh2"' ) ; ?></p>
        </div>
        
        <p>
            <?php _e( 'It won\'t hurt to try the samples out, or to play with alternatives, since you can reset to default at any time.' ,  'cks_lpa') ; ?> 
        </p>
        <p>
            <?php _e( 'Otherwise, changes saved here will be preserved across future upgrades or theme changes, and tend to override similar changes made elsewhere, but you can also transfer them to your theme stylesheet or CSS processor.', 'cks_lpa') ; ?> 

        <p><?php printf( __( 'The possibilities are endless, of course. Check the plug-in\'s <a href="%s">FAQ</a> and other pages for new tips and examples, and, if you need help beyond normal plug-in support, <a href="%s">contact me</a>, CK, and I will ensure you get what you want, at a reduced design fee.', 'cks_lpa' ), 'http://ckmacleod.com/plugins/linkposts/faq/', 'http://ckmacleod.com/wordpress-plugins/linkposts/get-support/') ; ?></p>
        
        <div class="cks_lpa-callout" >
            <p class="cks_lpa-callout-title"><?php _e( 'HANDLING THE "AUTHOR" AND "SOURCE" STYLES', 'cks_lpa') ; ?></p>
            <p><?php _e( 'The cks_lp-author and cks_lp-source selectors at the very end of the sample ADD CSS styles are added by jQuery script and activated (or not) by CSS. They are intended for use with a consistent format in post titles of <code>[author] [: ] [title] [ - ] [source]</code>. In other words, text to the first colon - if any - will be styled as "author", followed by text treated as title-text, followed by text after first isolated dash ( - ), if any, styled as source..', 'cks_lpa') ; ?></p>
        </div>

        <p style="text-align: center; font-style: italic;font-size: 1.1em;">
            
            CK MacLeod<br>
            
            <a href="http://ckmacleod.com/about/#sites">WordPresser</a>
        
        </span>
        
        
        <hr>
        <h3><?php _e( 'DEFAULT STYLESHEET', 'cks_lpa') ; ?></h3>
        
        <div id="cks_plugins-admin-css-ref">
            
            <?php
            
            $default_stylesheet = file_get_contents( plugins_url( 'css/cks_lpa_style.css',__FILE__) ) ;
            
            $default_stylesheet = str_replace( '/*', '<br>/*', $default_stylesheet) ;            
            $default_stylesheet = str_replace( '*/', '*/<br>', $default_stylesheet) ;
            $default_stylesheet = str_replace( ';', ';<br>', $default_stylesheet) ;
            $default_stylesheet = str_replace( '}', '</span>}<br>', $default_stylesheet) ;
            $default_stylesheet = str_replace( '{', '<br>{<span class="ck-css-block">', $default_stylesheet) ;
            $default_stylesheet = str_replace( ',', ',<br>', $default_stylesheet) ;
            
            echo ( $default_stylesheet) ;
            
            ?>
         
        </div>
        
    </section>
    
    <?php

} 
            
function cks_lpa_admin_sidebar() { ?>

    <div id="cks_plugins-sidebar">
        <div class="ck-illustrations">
        <img id="remotetgt1" src="<?php echo plugin_dir_url( __FILE__ ) ; ?>images/default-widget.png"> 
        <p class="cks_plugins_admin-caption"><?php _e( 'Default Widget', 'cks_lpa' ) ; ?></p>
        
        <img src="<?php echo plugin_dir_url( __FILE__ ) ; ?>images/lpa_archive_with_thumbnails.jpg"> 
        <p class="cks_plugins_admin-caption"><?php _e( 'Default Table with Adjusted Settings', 'cks_lpa' ) ; ?></p>
        
        <img id="remotetgt2" src="<?php echo plugin_dir_url( __FILE__ ) ; ?>images/custom-widget.png"> 
        <p class="cks_plugins_admin-caption"><?php _e( 'Simple Customized Widget<br>(See Custom Styling for suggestions)', 'cks_lpa' ) ; ?></p>
        
        <img src="<?php echo plugin_dir_url( __FILE__ ) ; ?>images/custom-page-archive-sty.jpg"> 
        <p class="cks_plugins_admin-caption"><?php _e( 'Advanced Customized Widget<br>Archive Page in Ascending Order, with Dates, Pagination, CSS Styling', 'cks_lpa' ) ; ?></p>
        </div>
        <?php if ( isset($_GET['tab']) && $_GET['tab'] !== 'getting_started') : ?>
        <?php cks_plugins_donations() ; ?>
        <?php endif; ?>
        <div id="cks_plugins-version" class="sidebar-version">
            <p>- -<br>Linkpost Aggregator<br><span id="version-info">Version <?php echo get_option( 'cks_lpa_version' ) ; ?></span><br>- -</p>
        </div>
    
    </div>
    

<?php }

function cks_plugins_donations() { ?>
    
    <div class="ck-donation">
        <p><?php _e( 'If this plug-in saved you time, or work, or anxiety,<br>or money,<br>or you just enjoy using it,<br>tip me!', 'cks-rui' ) ; ?></p>

        <div id="sos_button_div">
            <div class="sos_form_div">
                <form class="sos_form" action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
                    <input name="cmd" type="hidden" value="_xclick" />
                    <input name="business" type="hidden" value="ckm@ckmacleod.com" />
                    <input name="lc" type="hidden" value="US" /><input name="item_name" type="hidden" value="Tip CK!" />
                    <input name="item_number" type="hidden" value="WP Replace Images" />
                    <input name="button_subtype" type="hidden" value="services" />
                    <input name="no_note" type="hidden" value="0" />
                    <input name="cn" type="hidden" value="Add special instructions or message:" />
                    <input name="no_shipping" type="hidden" value="1" />
                    <input name="currency_code" type="hidden" value="USD" />
                    <input name="weight_unit" type="hidden" value="lbs" />
                    <div id="ck-donate-submit-line">
                        <input class="sos_amount" title="Confirm or not when you get there..." name="amount" type="text" value="" placeholder="$xx.xx" />
                        <input class="sos_submit" title="You know you oughta..." alt="Go to Paypal to complete" name="submit" type="submit" value="Do It!" />
                    </div>
                </form>
            </div>
        </div>

    </div>
    
 <?php

}


function cks_lpa_admin_footer() { ?>
        
    <div id="cks_plugins_admin-footer">


        <a target="_blank" id="link-to-cks-plugins" href="http://ckmacleod.com/wordpress-plugins/">
            <img src="<?php echo plugin_dir_url( __FILE__ ) ; ?>images/cks_wp_plugins_200x40.jpg">
        </a>
        <a target="_blank" id="link-to-cks-plugins-text" href="http://ckmacleod.com/wordpress-plugins/">
            All CK's Plug-Ins
        </a>
        <a target="_blank" id="ck-home" href="http://ckmacleod.com/word-press-plugins/linkposts/">
            Link-Post Aggregator Home
        </a>
        <a target="_blank" id="ck-style" href="http://ckmacleod.com/word-press-plugins/linkposts/linkposts-css/">
            Stylin'
        </a>
         <a target="_blank" id="ck-faq" href="http://ckmacleod.com/word-press-plugins/linkposts/faq/">
            FAQ
        </a>
        <a target="_blank" id="ck-help" href="http://ckmacleod.com/word-press-plugins/linkposts/get-support/">
            Contact CK
        </a>
        <a target="_blank" id="ck-support" href="http://wordpress.org/support/plugin/linkposts-aggregator/">
            Support at Wordpress
        </a>
        <a target="_blank" id="ck-rate" class="last-link" href="http://wordpress.org/support/view/plugin-reviews/linkposts-aggregator" >&#9733; &#9733; &#9733; &#9733; &#9733;<br>Rate This Plugin!
        </a> 

    </div>
        
<?php }
            
function cks_lpa_options_page() { ?>
        
    <div class="wrap cks_plugins" >
        
        <div id="cks_plugins-main">
            
            <h1>LINK-POST AGGREGATOR</h1> 

            <?php $active_tab = isset( $_GET[ 'tab' ] ) ? $_GET[ 'tab' ] : 'getting_started' ; ?>

            <h2 class="nav-tab-wrapper">
                <a id="cks_lpa-getting-started" class="nav-tab <?php echo $active_tab === 'getting_started' ? 'nav-tab-active' : '' ; ?>" href="?page=cks_lpa&tab=getting_started"><?php _e( 'GETTING STARTED', 'cks_lpa' ) ; ?></a>
                <a id="cks_lpa-main-settings"class="nav-tab <?php echo $active_tab === 'main_settings' ? 'nav-tab-active' : '' ; ?>" href="?page=cks_lpa&tab=main_settings"><?php _e( 'MAIN SETTINGS', 'cks_lpa' ) ; ?></a>
                <a id="cks_lpa-installation-options"class="nav-tab <?php echo $active_tab === 'installation_options' ? 'nav-tab-active' : '' ; ?>" href="?page=cks_lpa&tab=installation_options "><?php _e( 'INSTALLATION OPTIONS', 'cks_lpa' ) ; ?></a>
                <a id="cks_lpa-custom-styling"class="nav-tab <?php echo $active_tab === 'custom_styling' ? 'nav-tab-active' : '' ; ?> " href="?page=cks_lpa&tab=custom_styling"><?php _e( 'CUSTOM STYLING', 'cks_lpa' ) ; ?></a>
            </h2>

            <div id="cks_plugins-sections">

                <?php 
                
                if ( $active_tab === 'getting_started' ) { cks_lpa_getting_started_section() ;} 
                if ( $active_tab === 'main_settings' ) { cks_lpa_main_settings_section() ; }
                if ( $active_tab === 'installation_options' ) {cks_lpa_installation_options_section() ; }
                if ( $active_tab === 'custom_styling' ) { cks_lpa_custom_styling_section() ; } 
                
                ?>

            </div>
    
        </div>
    
        <?php cks_lpa_admin_sidebar() ; ?>
        <?php cks_lpa_admin_footer() ; ?>
    
    </div>
        
<?php  }

/***
 * ENQUEUE WORDPRESS ADMIN SCRIPTS AND STYLES
 **/
function cks_lpa_assets( ) {
    
    $screen = get_current_screen();
    
    if ( (isset( $_GET['page'] ) ) && ( $_GET['page'] === "cks_lpa" ) || $screen->base == 'widgets' )  {      
    
        wp_enqueue_style( 'cks_lpa_admin_style', plugin_dir_url( __FILE__ ) . 'css/cks_lpa_admin.css' . '?v=' . CKS_LPA_VERSION ) ;
 
    }
    
}

add_action( 'admin_enqueue_scripts', 'cks_lpa_assets' ) ;

/**
 * Add JS for widget "accordion"
 */
add_action( 'admin_print_scripts', 'enqueue_cks_lpa_admin_js' ) ;

function enqueue_cks_lpa_admin_js() {
    
    $screen = get_current_screen() ;
    
    if ( $screen->base == 'widgets' ) {
    
    wp_register_script(

        'cks_widget_js',
        plugins_url( 'js/widget_js.js', __FILE__ ),
        array( 'jquery' )

    ) ;
    
    wp_enqueue_script( 'jquery' ) ;
    
    wp_enqueue_script( 'cks_widget_js' ) ;
    
    }
    
    if ( isset( $_GET['page'] ) && $_GET['page'] === 'cks_lpa' ) {
        
        wp_register_script(

        'cks_admin_js',
        plugins_url( 'js/admin_js.js', __FILE__ ),
        array( 'jquery' )

    ) ;
    
    wp_enqueue_script( 'jquery' ) ;
    
    wp_enqueue_script( 'cks_admin_js' ) ;
    
    }
    
}
/**
 * GET SETTINGS AND PRINT NOTICES
 */

/**
 * GET CATEGORY FROM GETTING STARTED TAB
 */
function cks_lpa_required_setting() {
    
    if ( isset( $_POST['required']) ) {
        
       if ( wp_verify_nonce( $_POST['_cks_lpa_required_nonce'], 'cks_lpa_required' ) ) {
              
              $options = get_option( 'cks_lpa_settings' );
              
              $options['cat_name'] = $_POST['cat_name'] ;
              
              update_option( 'cks_lpa_settings', $options ) ;
              
              wp_safe_redirect( add_query_arg( array( 'page' => 'cks_lpa&tab=getting_started&required=cks_lpa_required' ), admin_url( 'options-general.php' ) ) ) ;
            
        } else {
                
                print __('Sorry! But you shouldn\'t be here...', 'cks_lpa' );
                exit;
                
        }
              
    }
    
}
    
/**
 * Admin Notice for Required Setting
 * 
 */
add_action( 'admin_notices', 'cks_lpa_required_notice__success' );

function cks_lpa_required_notice__success() {
        
    if ( isset( $_GET['required'] ) && $_GET['required'] === 'cks_lpa_required' ) {  
        
        $message_text = __( 'Link-Post Category Set', 'cks_lpa' ) ;
        
        $class = 'fade notice notice-success is-dismissible';

        printf( '<div class="%1$s"><p><strong>%2$s</strong></p></div>', $class, $message_text );
        
    }  
    
}

/**
 * Check for reset - if 'Reset' reset to default settings
 */
function cks_lpa_check_reset() {

    if ( isset( $_POST['Reset'] ) ) { 
    
        if ( wp_verify_nonce( $_POST['_lpa_reset_nonce'], 'cks_lpa_reset_options' ) ) {

            // also get rid of legacy options if exist
            delete_option( 'cks_lpa_settings' ) ;

            cks_lpa_set_default_options() ;
            
            wp_safe_redirect( add_query_arg( array( 'page' => 'cks_lpa&tab=main_settings&reset=cks_lpa_main' ), admin_url( 'options-general.php' ) ) ) ;
            
        } else {

            print __('Sorry! But you shouldn\'t be here...', 'cks_lpa' );
            exit;

        }
    
    }
                
} 

/**
 * Admin Notice for Reset Options
 * 
 */
add_action( 'admin_notices', 'cks_lpa_reset_notice__success' );

function cks_lpa_reset_notice__success() {
        
    if ( isset( $_GET['reset'] ) && $_GET['reset'] === 'cks_lpa_main' && ! isset($_GET['settings-updated']) ) {  
        
        $message_text = __( 'Main Settings Reset to Defaults', 'cks_lpa' ) ;
        
        $class = 'fade notice notice-success is-dismissible';

        printf( '<div class="%1$s"><p><strong>%2$s</strong></p></div>', $class, $message_text );
        
    }  
    
}

/**
 * CSS Style Sheet Notice
 */
add_action( 'admin_notices', 'cks_lpa_css_add__success') ;

function cks_lpa_css_add__success() {
    
    $message_text = '' ;
    
    $class = 'notice notice-success is-dismissible' ;
    
    if ( isset( $_GET['message'] ) && $_GET['message'] === '1' ) {
        
        $message_text = __( 'CSS Added', 'cks_lpa') ;
        
        printf( '<div class="%1$s"><p><strong>%2$s</strong></p></div>', $class, $message_text );
    
    } elseif ( isset( $_GET['message'] ) && $_GET['message'] === '2' ) { 
            
        $message_text = __( 'Reset to Default (No CSS Added)', 'cks_lpa') ;
        
        printf( '<div class="%1$s"><p><strong>%2$s</strong></p></div>', $class, $message_text );
        
    }
         
}