<?php

/* 
 * WIDGET
 * LINK-POSTS AGGREGATOR
 * Author: CK MacLeod
 * Version: 0.995
 * Date: September 2016
 */

defined( 'ABSPATH' ) or die( 'Plugin file cannot be accessed directly.' ) ;

// Register function to be called when widget initialization occurs
add_action( 'widgets_init', 'cks_lpa_create_widgets' ) ;

// Create new widget
function cks_lpa_create_widgets() {
	register_widget( 'Linkposts' ) ;
}

// Widget implementation class
class Linkposts extends WP_Widget {

    // Constructor function
    function __construct() {

            // Widget creation function
            parent::__construct( 'cks_lpa',
                'Linkposts',
                array( 'description' => 
                    'Displays List of Recent Links Posts' ) ) ;

    }

    // Code to render options form
    function form( $instance ) {

        // Retrieve previous values from instance
        // or set default values if not present
        $options = get_option( 'cks_lpa_settings' ) ;
       
        $keys = cks_lpa_array_keys();
        
        foreach ( $keys as $option_name ) {
            
            $$option_name = isset( $instance[$option_name] ) ? $instance[$option_name] : 
                ( isset( $options[$option_name] ) ? $options[$option_name] : '' ) ;
        }     
        
        /*WIDGET ONLY SETTINGS */
        $render_widget  =   ( ! empty( $instance['render_widget'] )         ?   $instance['render_widget'] : 'true' ) ;
        $widget_title   =   ( ! empty( $instance['widget_title'] )          ?   esc_attr( $instance['widget_title'] ) : '' ) ;

        if ( $this->number == '__i__' ) {

         $widget_identifier = 'Save Widget to get ID#' ;

            } else {

         $widget_identifier = '#' . $this->id . '-table' ;

        }

        ?>
        <dl class="lpa-wdg-accordion">

            <!-- Display fields to specify title, item count, linkback  -->
            
            <dt><a class="lpa-wdg-accordion-item" href="#1" title="Widget Display">Widget Display<span class="lpa-expand-arrow">&varr;</span></a></dt>
            <dd>
                
                <p>
                <label for="<?php echo $this->get_field_id( 'render_widget' ) ; ?>">
                <?php _e( 'Display Widget?' , 'cks_lpa') ; ?>			
                <select id="<?php echo $this->get_field_id( 'render_widget' ) ; ?>"
                                name="<?php echo $this->get_field_name( 'render_widget' ) ; ?>">
                    <option value="true"
                        <?php selected( $render_widget, 'true' ) ; ?>>
                        <?php _e( 'Yes' , 'cks_lpa') ; ?></option>
                    <option value="false"
                        <?php selected( $render_widget, 'false' ) ; ?>>
                        <?php _e( 'No' , 'cks_lpa') ; ?></option>
                </select>
                </label>
                </p>
                <p>
                    <label for="<?php echo $this->get_field_id( 'widget_title' ) ; ?>">
                    <?php _e( 'Widget Title:', 'cks_lpa' ) ; ?>			
                    <input type="text" 
                            id="<?php echo $this->get_field_id( 'widget_title' ) ; ?>"
                            name="<?php echo $this->get_field_name( 'widget_title' ) ; ?>"
                            value="<?php echo esc_html( $widget_title ) ; ?>" />			
                    </label>
                </p> 
                
            </dd>
            
            <dt><a class="lpa-wdg-accordion-item" href="#2">Table Headings<span class="lpa-expand-arrow">&varr;</span></a></dt>
            
            <dd>
                
                <h4>1. Table Title</h4>
                
                <p>
                    <label for="<?php echo $this->get_field_id( 'table_title' ) ; ?>">
                    <?php _e( 'Table Title:', 'cks_lpa' ) ; ?>			
                    <input type="text" 
                            id="<?php echo $this->get_field_id( 'table_title' ) ; ?>"
                            name="<?php echo $this->get_field_name( 'table_title' ) ; ?>"
                            value="<?php echo esc_html( $table_title ) ; ?>" />			
                    </label>
                </p>
                <p>
                    <label for="<?php echo $this->get_field_id( 'hide_table_title' ) ; ?>">
                    <?php _e( 'Hide Table Title?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'hide_table_title' ) ; ?>"
                        <?php checked( $hide_table_title, 1 ) ; ?> value="1" /> 
                    </label>
                </p>
                
                <h4>2. Day Grouping</h4>
                
                <p>
                    <label for="<?php echo $this->get_field_id( 'day_group' ) ; ?>">
                    <?php _e( 'Group Posts by Day?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'day_group' ) ; ?>"
                        <?php checked( $day_group, 1 ) ; ?> value="1" /> 
                    </label>
                </p>
                <p>
                                <p>
                    <label for="<?php echo $this->get_field_id( 'day_group_format' ) ; ?>">
                    <?php _e( 'Day Group Format:', 'cks_lpa' ) ; ?>			
                    <input type="text" 
                            id="<?php echo $this->get_field_id( 'day_group_format' ) ; ?>"
                            name="<?php echo $this->get_field_name( 'day_group_format' ) ; ?>"
                            value="<?php echo esc_attr( $day_group_format ) ; ?>" />			
                    </label>
                </p>
                
                <h4>3. Week Grouping</h4>
                
                <p>
                    <label for="<?php echo $this->get_field_id( 'week_group' ) ; ?>">
                    <?php _e( 'Group Posts by Week?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'week_group' ) ; ?>"
                        <?php checked( $week_group, 1 ) ; ?> value="1" /> 
                    </label>
                </p>
                <p>
                <p>
                    <label for="<?php echo $this->get_field_id( 'week_group_format' ) ; ?>">
                    <?php _e( 'Week Group Format:', 'cks_lpa' ) ; ?>			
                    <input type="text" 
                            id="<?php echo $this->get_field_id( 'week_group_format' ) ; ?>"
                            name="<?php echo $this->get_field_name( 'week_group_format' ) ; ?>"
                            value="<?php echo esc_attr( $week_group_format ) ; ?>" />			
                    </label>
                </p>
                <p>
                    <label for="<?php echo $this->get_field_id( 'week_title' ) ; ?>">
                    <?php _e( 'Week Title:', 'cks_lpa' ) ; ?>			
                    <input type="text" 
                            id="<?php echo $this->get_field_id( 'week_title' ) ; ?>"
                            name="<?php echo $this->get_field_name( 'week_title' ) ; ?>"
                            value="<?php echo esc_html( $week_title ) ; ?>" />			
                    </label>
                </p> 
                
                <h4>4. Month Grouping</h4>
                
                <p>
                    <label for="<?php echo $this->get_field_id( 'month_group' ) ; ?>">
                    <?php _e( 'Group Posts by Month?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'month_group' ) ; ?>"
                        <?php checked( $month_group, 1 ) ; ?> value="1" /> 
                    </label>
                </p>
                <p>
                                <p>
                    <label for="<?php echo $this->get_field_id( 'month_group_format' ) ; ?>">
                    <?php _e( 'Month Format:', 'cks_lpa' ) ; ?>			
                    <input type="text" 
                            id="<?php echo $this->get_field_id( 'month_group_format' ) ; ?>"
                            name="<?php echo $this->get_field_name( 'month_group_format' ) ; ?>"
                            value="<?php echo esc_attr( $month_group_format ) ; ?>" />			
                    </label>
                </p>
                
                <h4>5. Year Grouping</h4>
                
                <p>
                    <label for="<?php echo $this->get_field_id( 'year_group' ) ; ?>">
                    <?php _e( 'Group Posts by Year?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'year_group' ) ; ?>"
                        <?php checked( $year_group, 1 ) ; ?> value="1" /> 
                    </label>
                </p>
                <p>
                                <p>
                    <label for="<?php echo $this->get_field_id( 'year_group_format' ) ; ?>">
                    <?php _e( 'Year Format:', 'cks_lpa' ) ; ?>			
                    <input type="text" 
                            id="<?php echo $this->get_field_id( 'year_group_format' ) ; ?>"
                            name="<?php echo $this->get_field_name( 'year_group_format' ) ; ?>"
                            value="<?php echo esc_attr( $year_group_format ) ; ?>" />			
                    </label>
                </p>
                
            </dd>
            
            <dt><a class="lpa-wdg-accordion-item" href="#3">Link-Post Table Set-Up<span class="lpa-expand-arrow">&varr;</span></a></dt>
            
            <dd>
                
                <h4>1. Number and Order of Link-Posts</h4>
                
                <p>
                    <label for="<?php echo $this->get_field_id( 'number_posts' ) ; ?>">
                    <?php _e( 'Number of Link-Posts to display:' , 'cks_lpa' ) ; ?>			
                    <input style="width: 50px;" type="number" 
                                    id="<?php echo $this->get_field_id( 'number_posts' ) ; ?>"
                                    name="<?php echo $this->get_field_name( 'number_posts' ) ; ?>"
                                    value="<?php echo $number_posts; ?>" />			
                    </label>
                </p>
                                <p>
                    <label for="<?php echo $this->get_field_id( 'order' ) ; ?>">
                    <?php _e( 'Order for Displaying Posts ("ASC" = ascending, "DESC" = descending)' , 'cks_lpa' ) ; ?><br>			
                    <input type="text" 
                                    id="<?php echo $this->get_field_id( 'order' ) ; ?>"
                                    name="<?php echo $this->get_field_name( 'order' ) ; ?>"
                                    value="<?php echo esc_attr( $order ) ; ?>" />			
                    </label>
                </p> 
                                <p>
                    <label for="<?php echo $this->get_field_id( 'date_post_format' ) ; ?>">
                    <?php _e( 'Display Posts in the Above Order According to...' , 'cks_lpa' ) ; ?><br>			
                    <input type="text" 
                                    id="<?php echo $this->get_field_id( 'orderby' ) ; ?>"
                                    name="<?php echo $this->get_field_name( 'orderby' ) ; ?>"
                                    value="<?php echo esc_attr( $orderby ) ; ?>" />			
                    </label>
                </p> 
                
                <h4>2. Exclude/Include by Additional Category</h4>
                
                <p><i><small><?php _e( 'Categories included or excluded (#2) must be set separately for widget (and can be left blank).', 'cks_lpa') ; ?></small></i></p>
                
                <p>
                    <label for="<?php echo $this->get_field_id( 'exclude_cat' ) ; ?>">
                    <?php _e( 'Exclude Link-Posts with This/These Additional Categories:' , 'cks_lpa' ) ; ?>			
                    <input type="text" 
                                    id="<?php echo $this->get_field_id( 'exclude_cat' ) ; ?>"
                                    name="<?php echo $this->get_field_name( 'exclude_cat' ) ; ?>"
                                    value="<?php echo esc_html( $exclude_cat ) ; ?>" />			
                    </label><br><small><i><?php _e( 'Category Name or Comma-Separated List' , 'cks_lpa') ; ?>
                        </i></small>    
                </p> 
                <p>
                    <label for="<?php echo $this->get_field_id( 'include_cat' ) ; ?>">
                    <?php _e( 'Include Link-Posts Only with This/These Additional Categories:' , 'cks_lpa' ) ; ?>			
                    <input type="text" 
                                    id="<?php echo $this->get_field_id( 'include_cat' ) ; ?>"
                                    name="<?php echo $this->get_field_name( 'include_cat' ) ; ?>"
                                    value="<?php echo esc_html( $include_cat ) ; ?>" />			
                    </label><br><small><i><?php _e( 'Category Name or Comma-Separated List.' , 'cks_lpa') ; ?>
                        </i></small>
                </p>
                <p>
                    <label for="<?php echo $this->get_field_id( 'exclude_from_list' ) ; ?>">
                    <?php _e( 'Don\'t Show Above "Include" Category(ies) in List of Categories:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'exclude_from_list' ) ; ?>"
                        <?php checked( $exclude_from_list, 1 ) ; ?> value="1" /> 
                    </label>
                </p>
                <h4>3. General Link-Posts Category (Advanced) </h4>
                
                <p>
                    <label for="<?php echo $this->get_field_id( 'cat_name' ) ; ?>">
                    <?php _e( 'Link-Posts Category:', 'cks_lpa' ) ; ?>			
                    <input type="text" 
                            id="<?php echo $this->get_field_id( 'cat_name' ) ; ?>"
                            name="<?php echo $this->get_field_name( 'cat_name' ) ; ?>"
                            value="<?php echo esc_html( $cat_name ) ; ?>" />			
                    </label><br><small><i><?php _e( 'Category Name or Comma-Separated List - <b>overrides site default setting - recommended for advanced users only</b>.' , 'cks_lpa') ; ?>
                        </i></small> 
                </p>
                <p>
                    <label for="<?php echo $this->get_field_id( 'no_lp_cat' ) ; ?>">
                    <?php _e( 'Set NO Link-Posts Category:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'no_lp_cat' ) ; ?>"
                        <?php checked( $no_lp_cat, 1 ) ; ?> value="1" /> 
                    </label><br><small><i><?php _e( 'Treats ALL posts as "Link-Posts." <b>Recommended for advanced users only</b>.' , 'cks_lpa') ; ?></i></small>
                </p>
                
            </dd>
                
            <dt><a class="lpa-wdg-accordion-item" href="#4">Link-Post Format<span class="lpa-expand-arrow">&varr;</span></a></dt>
            
            <dd>
                
                <h4>1. Alternatives for the default open/close (or plus/minus) links.</h4>
                <p>
                    <label for="<?php echo $this->get_field_id( 'alt_plus' ) ; ?>">
                    <?php _e( 'Custom "Open It!" ( + ) Symbol (text, HTML, image):' , 'cks_lpa' ) ; ?>			
                    <input type="text" 
                                    id="<?php echo $this->get_field_id( 'alt_plus' ) ; ?>"
                                    name="<?php echo $this->get_field_name( 'alt_plus' ) ; ?>"
                                    value="<?php echo esc_html( $alt_plus ) ; ?>" />			
                    </label><br><small><i><?php _e( 'Leave blank to use site-wide setting.' , 'cks_lpa') ; ?>
                        </i></small>
                </p>
                <p>
                    <label for="<?php echo $this->get_field_id( 'alt_minus' ) ; ?>">
                    <?php _e( 'Custom "Close It!" ( - ) Symbol (text, HTML, image):' , 'cks_lpa' ) ; ?>			
                    <input type="text" 
                                    id="<?php echo $this->get_field_id( 'alt_minus' ) ; ?>"
                                    name="<?php echo $this->get_field_name( 'alt_minus' ) ; ?>"
                                    value="<?php echo esc_html( $alt_minus ) ; ?>" />			
                    </label><br><small><i><?php _e( 'Leave blank to use site-wide setting.' , 'cks_lpa') ; ?>
                        </i></small>
                </p>
                
                <h4>2.Thumbnail Images</h4>
                
                <p>
                    <label for="<?php echo $this->get_field_id( 'use_thumbnail' ) ; ?>">
                    <?php _e( 'Use Thumbnail Images?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'use_thumbnail' ) ; ?>"
                        <?php checked( $use_thumbnail, 1 ) ; ?> value="1" /> 
                    </label>
                </p>
                
                <h4>3. Link-Post Title Links to...</h4>
                
                <p>
                    <label for="<?php echo $this->get_field_id( 'no_source_link' ) ; ?>">
                    <?php _e( 'Link to Single-Page Link-Post Instead of Source?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'no_source_link' ) ; ?>"
                        <?php checked( $no_source_link, 1 ) ; ?> value="1" /> 
                    </label>
                </p>
                
                <h4>4. Show/Hide Comments, Dates, Categories, Tags</h4>
                
                <p>
                    <label for="<?php echo $this->get_field_id( 'hide_comments' ) ; ?>">
                    <?php _e( 'Hide Comments Count/Link?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'hide_comments' ) ; ?>"
                        <?php checked( $hide_comments, 1 ) ; ?> value="1" /> 
                    </label>
                </p>     
                <p>
                    <label for="<?php echo $this->get_field_id( 'date_post' ) ; ?>">
                    <?php _e( 'Show Post Date/Time?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'date_post' ) ; ?>"
                        <?php checked( $date_post, 1 ) ; ?> value="1" /> 
                    </label>
                </p>
                <p>
                    <label for="<?php echo $this->get_field_id( 'date_post_format' ) ; ?>">
                    <?php _e( 'PHP Format for Post Date/Time' , 'cks_lpa' ) ; ?><br>			
                    <input type="text" 
                                    id="<?php echo $this->get_field_id( 'date_post_format' ) ; ?>"
                                    name="<?php echo $this->get_field_name( 'date_post_format' ) ; ?>"
                                    value="<?php echo esc_attr( $date_post_format ) ; ?>" />			
                    </label>
                </p> 
                <p>
                    <label for="<?php echo $this->get_field_id( 'hide_post_cats' ) ; ?>">
                    <?php _e( 'DON\'T display categories?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'hide_post_cats' ) ; ?>"
                        <?php checked( $hide_post_cats, 1 ) ; ?> value="1" /> 
                    </label>
                </p>
                <p>
                    <label for="<?php echo $this->get_field_id( 'hide_post_tags' ) ; ?>">
                    <?php _e( 'DON\'T display tags?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'hide_post_tags' ) ; ?>"
                        <?php checked( $hide_post_tags, 1 ) ; ?> value="1" /> 
                    </label>
                </p>
                
            </dd>
                
     <dt><a class="lpa-wdg-accordion-item" href="#5">Link-Post Content<span class="lpa-expand-arrow">&varr;</span></a></dt>
            
            <dd>    
                
                <p>
                    <label for="<?php echo $this->get_field_id( 'no_quote' ) ; ?>">
                    <?php _e( 'Display Link-Post Titles Only?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'no_quote' ) ; ?>"
                        <?php checked( $no_quote, 1 ) ; ?> value="1" /> 
                    </label><br><small><i><?php _e( 'In other words, keep ALL Link-Posts "closed."' , 'cks_lpa') ; ?>
                        </i></small>
                </p> 
                
                
                <p>
                    <label for="<?php echo $this->get_field_id( 'use_excerpt' ) ; ?>">
                    <?php _e( 'Use Post Excerpt if Present?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'use_excerpt' ) ; ?>"
                        <?php checked( $use_excerpt, 1 ) ; ?> value="1" /> 
                    </label>
                </p>
                <p>
                    <label for="<?php echo $this->get_field_id( 'more_text' ) ; ?>">
                    <?php _e( 'Text for Excerpt\'s "More" Link:' , 'cks_lpa' ) ; ?><br>			
                    <input type="text" 
                                    id="<?php echo $this->get_field_id( 'more_text' ) ; ?>"
                                    name="<?php echo $this->get_field_name( 'more_text' ) ; ?>"
                                    value="<?php echo esc_html( $more_text ) ; ?>" />			
                    </label>
                </p>
                <p>
                    <label for="<?php echo $this->get_field_id( 'use_wp_excerpt' ) ; ?>">
                    <?php _e( 'Always Use WordPress Excerpt?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'use_wp_excerpt' ) ; ?>"
                        <?php checked( $use_wp_excerpt, 1 ) ; ?> value="1" /> 
                    </label><br><small><i><?php _e( 'Overrides above Excerpt settings.' , 'cks_lpa') ; ?>
                        </i></small>
                </p>
        
                
                <p>
                    <label for="<?php echo $this->get_field_id( 'go_to_comments' ) ; ?>">
                    <?php _e( 'Text for "Go to Comments" Link' , 'cks_lpa' ) ; ?><br>			
                    <input type="text" 
                                    id="<?php echo $this->get_field_id( 'go_to_comments' ) ; ?>"
                                    name="<?php echo $this->get_field_name( 'go_to_comments' ) ; ?>"
                                    value="<?php echo esc_html( $go_to_comments ) ; ?>" />			
                    </label>
                </p>
                
            </dd>
            
            <dt><a class="lpa-wdg-accordion-item" href="#6">Footer/Archive Links<span class="lpa-expand-arrow">&varr;</span></a></dt>
            
            <dd>
                <p>
                    <label for="<?php echo $this->get_field_id( 'show_right' ) ; ?>">
                    <?php _e( 'Show Link to Primary Category (BOTTOM RIGHT)?:' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'show_right' ) ; ?>"
                        <?php checked( $show_right, 1 ) ; ?> value="1" /> 
                    </label>
                </p>
                <p>
                    <label for="<?php echo $this->get_field_id( 'cat_title' ) ; ?>">
                    <?php _e( 'Text for Primary (Bottom Right) Link:' , 'cks_lpa' ) ; ?><br>			
                    <input type="text" 
                                    id="<?php echo $this->get_field_id( 'cat_title' ) ; ?>"
                                    name="<?php echo $this->get_field_name( 'cat_title' ) ; ?>"
                                    value="<?php echo esc_html( $cat_title ) ; ?>" />			
                    </label>
                </p> 
                <p>
                    <label for="<?php echo $this->get_field_id( 'right_url' ) ; ?>">
                    <?php _e( 'Use this URL instead of Category URL:' , 'cks_lpa' ) ; ?>			
                    <input style="width: 100%;" type="url" 
                                    name="<?php echo $this->get_field_name( 'right_url' ) ; ?>"
                        value="<?php echo esc_url( $right_url ) ; ?>"
                    </label><br><small><i><?php _e( 'Include "http://" - will use site-wide default if not re-set here.' , 'cks_lpa' ) ; ?></i></small>
                </p>
                <p>
                    <label for="<?php echo $this->get_field_id( 'show_left' ) ; ?>">
                    <?php _e( 'Show Link to Secondary (BOTTOM LEFT) Link?' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'show_left' ) ; ?>"
                        <?php checked( $show_left, 1 ) ; ?> value="1" /> 
                    </label>
                </p>
                 <p>
                    <label for="<?php echo $this->get_field_id( 'left_title' ) ; ?>">
                    <?php _e( 'Text for Secondary (bottom left) Link:' , 'cks_lpa' ) ; ?><br>			
                    <input type="text" 
                                    id="<?php echo $this->get_field_id( 'left_title' ) ; ?>"
                                    name="<?php echo $this->get_field_name( 'left_title' ) ; ?>"
                                    value="<?php echo esc_html( $left_title ) ; ?>" />			
                    </label>
                </p> 
                <p>
                    <label for="<?php echo $this->get_field_id( 'left_url' ) ; ?>">
                    <?php _e( 'Use this URL:' , 'cks_lpa' ) ; ?>			
                    <input style="width: 100%;" type="url" 
                                    name="<?php echo $this->get_field_name( 'left_url' ) ; ?>"
                        value="<?php echo esc_url( $left_url ) ; ?>"
                    </label><br><small><i><?php _e( 'Include "http://" - will use site-wide default if not re-set here.' , 'cks_lpa' ) ; ?></i></small>
                </p>
                
                
            </dd>
            
            <dt><a class="lpa-wdg-accordion-item" href="#7">Credit Link<span class="lpa-expand-arrow">&varr;</span></a></dt>
            
            <dd>
                <p>
                    <label for="<?php echo $this->get_field_id( 'show_credit' ) ; ?>">
                    <?php _e( 'Show a credit-link to plugins home page?' , 'cks_lpa' ) ; ?>			
                    <input type="checkbox" 
                                    name="<?php echo $this->get_field_name( 'show_credit' ) ; ?>"
                        <?php checked( $show_credit, 1 ) ; ?> value="1" /> 
                    </label><p><?php _e( 'Like this: ', 'cks_lpa' ) ; ?><img style="background-color: #FFF; border: 1px solid gray; opacity: .4; padding: 0 6px; vertical-align: text-bottom;" src="<?php echo plugins_url( 'images/cks_wp_plugins_80x16.jpg', __FILE__ ) ; ?>" ><br><small><i><?php _e( '(Nice way to thank the developer!)' , 'cks_lpa' ) ; ?></i></small></p>
                </p>
            
            </dd>
        
        </dl>
        
        <hr>
        
        <p style="text-align: right;"><b>Table ID:</b> <?php echo $widget_identifier ; ?></p>
        
            <?php
    }

    // Function to perform user input validation
    function update( $new_instance, $old_instance ) {

        $keys = cks_lpa_array_keys();
        
        foreach( $keys as $option_name) {
            
            if ( ! isset( $old_instance[$option_name] ) ) { 
                
                $old_instance[$option_name] = '' ; 
                
            }
            
            if ( isset( $new_instance[$option_name] ) ) { 
                
                if ( is_string( $new_instance[$option_name] ) ) {
                    
                    $new_instance[$option_name] = sanitize_text_field( $new_instance[$option_name] ) ;
                    
                }
            }
            
            if ( ! isset( $new_instance[$option_name] ) ) {  $new_instance[$option_name] = '' ; }
            
        }
        
        $current_instance = array_merge( $old_instance, $new_instance ) ;

        return $current_instance;

    }

    // Function to display widget contents
    function widget( $args, $instance ) {

        if ( $instance['render_widget'] == 'true' ) {

            // Extract members of args array as individual variables
            extract( $args ) ;

            $widget_title = ( esc_attr( $instance['widget_title'] )  ) ;

            // Display widget title
            echo $before_widget;
            echo $before_title;

            echo apply_filters( 'widget_title', $widget_title ) ;

            echo $after_title; 

            echo add_cks_lpa_table( $widget_id, $instance, '' ) ;

            echo $after_widget;

        }

    }

}


